/******************************************************************************************************
 * Finance.Websync - the Java-based Web Scraping Library for Online-Banking
/******************************************************************************************************
* https://finance.websync.derrichter.de
* @author Sebastian Richter
*
* Copyright (c) Sebastian Richter / https://hibiscus-mashup.derrichter.de / All rights reserved
*
* LIZENZ:
* CC BY-NC-ND 4.0 - https://creativecommons.org/licenses/by-nc-nd/4.0/deed.de
* Sebastian Richter (Hibiscus-Scripting Project, Hibiscus Mashup Project, Finance.Websync Project)
/*****************************************************************************************************/



/* VersionsHistory


* ver. 0.9.83 (Beta)

	CHG [241224] 001: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 09.12.2024 (Danke an Olaf Willuhn)
	CHG [241118] 001: DKB-VISA: Kontoauszug-Separator wieder auf Semikolon umgestellt
	CHG [240928] 004: ChromeDriver-Webclient: Script-Timeout auf 60 Sekunden und PageLoad-Timeout auf 120 Sekunden gesetzt
	CHG [240928] 003: TF-Bank: Anpassung der Navigration zu den Umsätzen und keine Übernahme "aktueller Transaktionen" wenn Monate auswählbar sind, da sonst Umsatzdoppler
	CHG [240928] 002: CreditEuropeBank: Die Werte "Heute" und "Gestern" bei Transaktionen in ein richtiges Datum konvertieren
	BUG [240928] 001: Selenium-Utils: Nach Element is not clickable at point und versuche 'Scroll Element to Middle' als Alternative auch den Action-Click ausführen
	CHG [240928] 001: CreditEuropeBank: Beachtung von Termin-Überweisungen und richtiges Anwählen der gebuchten Umsätze nach fehlender ID
	CHG [240927] 001: DKB-VISA: Animierte Maskierung von Daten als Loader-Path hinzugefügt

* ver. 0.9.82 (Beta)

	CHG [240925] 001: LeasePlanBank: Page-Loading mit Routine abwarten vor Download-Click
	CHG [240924] 002: HanseaticBank: Nun auch sicher weitere Umsätze durch scrollen anzeigen lassen um diese parsen zu können
	CHG [240924] 001: LeasePlanBank: Anpassung des Datumformats und des Spalten-Aufbaus IBAN<->Verwendungszweck im CSV-Parser
	CHG [240916] 002: Umstellung des Loader von Apache PDFBox auf den Syntax von Version 3; Daher nun auch Mindestversion

* ver. 0.9.81 (Beta)

	CHG [240916] 001: N26: Falsche Zeilenumbrüche aus CSV-Kontoauszug entfernen und Fremdwährungsbetrag richtig ins Notizfeld übernehmen
	CHG [240915] 001: DKB-VISA: Umsätze nur bis zum übergebenen Datum übernehmen um Umsatzdoppler zu vermeiden; Kein ChipTAN aktuell
	CHG [240914] 001: DKB-VISA: Umbau auf neues Portal 09/2024: Grundsätzlicher Abruf der Umsätze (Achtung: Durch neuen Aufbau extrem viele Umsatzdoppler)
	CHG [240912] 002: N26: CSV-Parser an neuen Aufbau angepasst
	CHG [240912] 001: N26: CSV-Download mit korrigiertem Datum wiederholen wenn Abrufzeitraum laut Inhalt Kontoeröffnung überschreitet
	CHG [240906] 001: N26: Download-CSV Form angepasst und "Auf deinem verknüpften Gerät zulassen" als Fehlermeldung ausschließen

* ver. 0.9.80 (Beta)

	CHG [240819] 002: AdvanziaBank: Viel längeres Warten auf den Cookie-Banner
	CHG [240819] 001: LeasePlanBank: Viel längeres Warten auf den Cookie-Banner
	CHG [240818] 002: Auf Downloads mit Chrome/Chromium auch bei vorhandensein von .tmp-Datei warten (Endung eigentlich .crdownload)
	CHG [240818] 001: ING-DiBa: Link zum Auftragskonto für Überweisungen angepasst
	BUG [240818] 001: ING-DiBa: Bei Überweisungen auch den alternativen CookieBanner-ShadowRoot selektieren

* ver. 0.9.79 (Beta)

	CHG [240817] 001: HanseaticBank: Versuchen auch weitere Umsätze durch scrollen anzeigen zu lassen die älter als 90 Tage sind
	BUG [240815] 001: SeleniumUtils: Cookie-Accept-Selektor für iFrame auch beim Click und Check verarbeiten
	CHG [240813] 001: Barclays-Kreditkarten: Linkbox zur Umsatzübersicht vorher in die Mitte scrollen um von nichts verdeckt zu werden

* ver. 0.9.78 (Beta)

	CHG [240812] 003: HanseaticBank: Versuchen auch aktuelle Umsätze durch scrollen anzeigen zu lassen um diese parsen zu können
	CHG [240812] 002: ChromeDriver-Webclient: Init-Parameter zum Deaktivieren von diversen Erst-Start Assistenten
	CHG [240812] 001: Advanzia Tagesgeld und Kreditkarten, free.at, gebührenfrei.de: Navigation in der Umsatzsuche und Abruf angepasst (Scroll Element to Middle)
	BUG [240811] 001: FileSysUtils: Nicht mehr Dateien listen als Vorhanden wenn Limit höher
	CHG [240811] 001: AdvanziaBank (Tagesgeld): Umbau zum neuem Portal und wieder Zusammenführung mit Kreditkarten-Abruf
	CHG [240809] 001: Weltsparen: Anpassung der Erkennung von Umsätzen und des Download-Button
	CHG [240808] 002: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 130.0a1 (08-Aug-2024) umgestellt und neue Prüfsummen berechnet
	CHG [240808] 001: Eine Zeile mehr von einer ChromeDriver-Exception beim Start auslesen um wichtige Teile mit auszuwerten
	CHG [240807] 002: HanseaticBank: Beim Auslesen des letzten Umsatzdatum alle unnötigen Zeichen entfernen
	CHG [240807] 001: ING-DiBa: Anpassung der Erkennung und Schließen von Angebot-Dialogen

* ver. 0.9.77 (Beta)

	CHG [240806] 003: Volkswagen Financial Services: Anpassung der Zeitraumauswahl zur Umsatzsuche
	CHG [240806] 002: AmericanExpress: Wenn Punktestand nicht ausgelesen werden konnte, dies als Info setzen und nicht mit Fehler abbrechen
	CHG [240806] 001: AmericanExpress: Ablauf der 2FA angepasst. BankingApp-Auth wenn aktiv oder SMS-Code wird immer zuerst gesendet, auch bei Alternative E-Mail
	CHG [240805] 001: ING-DiBa: Anpassung der Selektion der nun beiden CookieBanner-ShadowRoot und der Login-Felder
	CHG [240805] 001: SeleniumUtils: Cookie-Accept-Selektor erweitert um unendlich viele ShadowRoot-Wechsel
	CHG [240618] 001: AmericanExpress: Ablauf der 2FA angepasst. SMS-Code wird immer zuerst gesendet
	CHG [240405] 001: Postbank (Kreditkarten): Erkennung von BestSign-Auth und Login-URL angepasst
	CHG [240404] 001: IkanoBank: Nun vor Login mit Benutzernamen den Tab wechseln (Password-Feld sonst nicht vorhanden)

* ver. 0.9.76 (Beta)

	BUG [240328] 002: Suresse: Statt orginalAmount den movementAmount für Vorzeichen verwenden; Alternative Währung in Kommentar eintragen
	BUG [240328] 001: Weltsparen: Alte Datums-Korrektur mit 2000 entfernt
	CHG [240327] 002: Weltsparen: Erkennung von mTAN-Abfrage und Keine-Umsätze angepasst (neuer XPath mit Ausschluss von Sektion <html, <body und <script
	CHG [240326] 001: ING-DiBa: Anpassung der Selektion des neuen Session-Logout ShadowRoot
	CHG [240317] 001: ING-DiBa: Anpassung der Selektion des CookieBanner-ShadowRoot und der Login-Felder
	CHG [240315] 001: Miles&More Kreditkarte: Abfrage von mehreren Karten unter einem Account durch Kartenwechsel ermöglichen, Erkennung von Login-Fehlern

* ver. 0.9.75 (Beta)

	CHG [240313] 001: Barclays-Kreditkarten: Anpassung des XPath zum Karten-Container mit Umsatzübersicht und Saldo
	CHG [240312] 002: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 04.03.2024 (Danke an Olaf Willuhn)
	CHG [240312] 001: Weltsparen: Erkennung von mTAN-Abfrage, Umsatzseite- und Logout-URL angepasst
	CHG [240311] 003: BankOfScotland: Beträge beim Parsen auf zwei Nachkommastellen runden
	CHG [240311] 002: Methode zum Auslesen von Beträgen erweitert um simple Variante für ungerundete Nachkommastellen
	CHG [240311] 001: AmericanExpress: Erkennung von Meldungen und Popups nach dem Login angepasst
	CHG [240308] 002: Kontoauszüge aus Selenium-Downloads einem möglichen Support-Paket hinzufügen
	CHG [240308] 001: SeleniumUtils erweitert um Speichern des Runtime-HTML-Codes der aktuellen Seite mit iFrames und aktueller Tabs/ModalDialogen
	CHG [240307] 001: SeleniumUtils erweitert um Fehler-Screenshot-Funktion ins Temp-Verzeichnis
	BUG [240305] 001: Barclays-Kreditkarten: Kontonummer- und Tabbox-Prüfung voneinander getrennt
	NEW [240228] 001: Unterstützung für 'Suresse Direkt Bank' - Abruf über nativer Java HTTP-Engine

* ver. 0.9.74 (Beta)

	CHG [240225] 002: Openbank: 2FA bei Transaktionsabruf angepasst
	CHG [240225] 001: Miles&More Kreditkarte: Bei Fehlerprüfung der Login-Felder auch auf bereits erfolgreichen und noch bestehenden Login prüfen
	CHG [240224] 002: N26: Anpassung der Erkennung des Login mit Banking-App
	CHG [240224] 001: Postbank (Kreditkarten): Erkennung von Modal-Dialogen angepasst
	BUG [240223] 001: Barclays-Kreditkarten: Aufruf des Tab-Button ohne ID aufgerufen, auskommentiert
	CHG [240223] 001: Links zum automatischen Download des alternativen Chromium-Browser angepasst
	CHG [240222] 002: AmericanExpress: Verbesserung der Navigation zur Karte und Herunterladen der CSV
	CHG [240222] 001: LeasePlanBank: Loader- und Login-Erkennung angepasst
	CHG [240219] 001: AmericanExpress: Auslesen des Punktestatus aus der Startseite für den Kontoauszug
	CHG [240218] 001: StatementWorker: Erweiterung des formatieren Kontoauszug um Zeile für Konto-Kommentar (Informationen, Notiz)
	CHG [240209] 001: BW Bank (PAYBACK-Visa und MercedesCard): Anpassung der Zeitraumauswahl bei Umsatzsuche

* ver. 0.9.73 (Beta)

	BUG [231223] 001: IkanoBank: Anmelde-Button unter Vertragsnummer hattte falschen Pfad
	BUG [231223] 001: LeasePlanBank: Fehlererkennung nach 2FA neu laden
	CHG [240123] 001: Openbank: 2FA bei Transaktionsabruf angepasst
	CHG [240121] 001: Weltsparen: Login-Verfahren angepasst und Logout
	CHG [231219] 001: LeasePlanBank: Fehlererkennung beim Login, Download-Button und Abrufzeitraum angepasst

* ver. 0.9.72 (Beta)

	CHG [231119] 002: Miles&More Kreditkarte: Fehlererkennung erweitert um Fehlerseite mit neuer "WartungsSeite"
	CHG [231119] 001: DKB-Visa: Fehlererkennung erweitert um Fehlerseite mit neuer "WartungsSeite"
	CHG [231116] 001: Openbank: Anmeldevorgang um 2FA mit SMS-Code erweitert
	CHG [231115] 003: Weltsparen: 2FA zusätzlich nach dem Aufruf der Umsatzseite eingefügt, Downlaod-Button und Kontoauszug-Aufbau angepasst
	CHG [231115] 002: AmericanExpress: 2FA zusätzlich wieder mit alten Pfaden angepasst da wohl bei Usern einfach die alte Seite erscheint?
	CHG [231115] 001: ChromeDriver-Webclient: Den UserAgent nicht mehr fest manuell setzen sondern wieder den originalen des Browsers verwenden
	CHG [231114] 001: Miles&More Kreditkarte: Länger auf Login-Felder und Button warten und wenn diese nicht gefunden werden noch zweimal probieren
	BUG [231113] 001: AmericanExpress: Fehler wenn die Login-Bestätigung fehlschlägt und aber auch kein Login mehr gefunden wird
	CHG [231112] 001: AmericanExpress: Wird das Forumlar zum Speichern des vertrauenswürdigem Gerät nicht angeboten, dann weiter machen ohne Fehler
	CHG [231111] 001: AmericanExpress: Schließen der zünischen Feedback-Anfrage angepasst
	CHG [231109] 002: AmericanExpress: Nach Banking-App Authentifizierung auch hier das vertrauenswürdige Gerät speichern
	CHG [231109] 001: ChromeDriver-Webclient: Vor dem Start noch laufende ChromeDriver-Instanzen beenden
	BUG [231109] 002: ChromeDriver-Webclient: Verschiedne fehlerhafte Argumente richtig setzen
	BUG [231109] 001: AmericanExpress: Bei einem leeren Kontoauszug nicht auf Spaltenanzahl prüfen
	CHG [231108] 002: AmericanExpress: Login wiederholen wenn dieser vermutlich nach dem Geräte-Speichern zurückgesetzt wurde
	CHG [231108] 001: ChromeDriver-Webclient: Anpassungen und deaktivieren der Automation-Erweiterung
	CHG [231107] 003: AmericanExpress: 2FA angepasst und Erweitert um App-Auth
	CHG [231107] 002: ChromeDriver-Webclient: Erweiterung der Klasse connConfig um Pfad und Konfiguration zu Browser-Profil und Erweiterungen
	CHG [231107] 001: Selenium-Utils: Neue Routine zum Lösen von Sicherheitsaufgaben rAPI2

* ver. 0.9.71 (Beta)

	CHG [231105] 002: Amazon Kreditkarten: Fehler-Meldungen zu gesperrten Karten und nur noch Leserechten ignorieren. Beendigung der Kooperation bezüglich Amazon.de
	CHG [231105] 001: Weltsparen: Meldung zu unzureichendem Guthaben für einen Auftrag nicht als Fehler ausgeben
	BUG [231105] 001: HanseaticBank: Umsätze genauer suchen (Alle Umsätze wurden als erster selektiert) und weitere Umsätze aufrufen wenn Abrufzeitraum letzes Umsatzdatum überschreitet
	CHG [231104] 001: Barclays-Kreditkarten: Check ob Tab-Button noch angezeigt wird nach Klick und nochmals versuchen wenn notwendig
	BUG [231104] 001: Barclays-Kreditkarten: Erkennen wenn keine Umsätze gefunden wurden richtig weitergeben
	CHG [231025] 001: LeasePlanBank: Check der IBAN und Auslesen des Saldo angepasst
	CHG [231008] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Aufgruf der Kartenumsätze angepasst (aktuell wird nur eine Karte, die erste abgerufen)

* ver. 0.9.70 (Beta)

	CHG [230919] 001: Selenium-Utils: Automatisches Speichern von Downloads im Headless-Modus geht nicht mehr im Inkonito-Modus (https://stackoverflow.com/q/77093248)

* ver. 0.9.69 (Beta)

	CHG [230915] 001: Automatisches Nachladen und SecurityChecks des alternativen Chromium-Browser unter macOS mit inkompatiblen Versionen mit Hinweistext auslassen
	CHG [230911] 003: Santander Consumer Bank: Anpassung des Filter-Button zum Aufruf Zeitraumauswahl-Formulars
	CHG [230911] 002: Selenium-Utils: Wait.elementToBeClickable stört die Interaktion bei Barclays, daher Umstellung in FillSearchFields auf reines .click
	CHG [230911] 001: Barclays-Kreditkarten: Vollständige Umstellung des Click-Handling auf reinem Selenium-Befehl (elementToBeClickable stört die Interaktion)

* ver. 0.9.68 (Beta)

	CHG [230904] 002: LeasePlanBank: Prüfung auf gütlige Seite mit Tagesgeld auf href-Attribut abgeändert und nach hinten verschoben
	CHG [230904] 001: Selenium-Utils: Es wird nun 7 Sekunden auf einem Button in einem iFrame-CookieLaw gewartet
	CHG [230903] 002: Miles&More Kreditkarte: Es wird nun 20 Sekunden auf das CookieLaw gewartet um dies wirklich zu schließen
	CHG [230903] 001: LeasePlanBank: Ab-Beträge nur in richtige Wertigkeit umrechnen wenn Vorzeichen fehlt
	CHG [230902] 001: AmericanExpress: Beim Auslesen von Fehlermeldungen Werbung allgmein ignorieren
	
* ver. 0.9.67 (Beta)

	CHG [230827] 001: Santander Consumer Bank: Anpassung des Auslesens des Saldo für Kreditkarten (allgmein für alles)

* ver. 0.9.66 (Beta)

	CHG [230826] 001: AmericanExpress: Beim Auslesen von Fehlermeldungen Werbung zu "Entdecken Sie" ignorieren
	BUG [230825] 003: Miles&More Kreditkarte: Anpassung des CSV-Aufbaus (hierdurch Umsatzdoppler!)
	CHG [230825] 002: Santander Consumer Bank: Anpassung diverser Buttons zur Navigation
	CHG [230825] 001: HanseaticBank: Sonderzeichen-Koodierung von HTML im Kontoauszug umwandeln um Semikilons zu vermeiden und Apostrophe direkt ersetzen
	BUG [230809] 001: TF-Bank: Auszahlungen wurden als positiver Betrag ausgelesen, da das Vorzeichen - fehlt; Zutreffende Umsatzarten bitte melden
	CHG [230804] 001: Automatischer Download des alternativen Chromium-Browser nun passend zur laufenden ChromeDriver-Version; Somit Test-Wechsel möglich
	CHG [230802] 001: AmericanExpress: Beim Auslesen von Fehlermeldungen: System ist nicht erreichbar oder verfügbar erkennen

* ver. 0.9.65 (Beta)

	CHG [230728] 002: IkanoBank: Anpassungen des Logins für Tagesgeld und Rote MasterCard (keine anderen Karten wie IKEA oder Shopping)
	CHG [230728] 001: Signieren des alternativen Chromium-Browsers auf macOS-Systemen um Gatekeeper-Meldungen zu vermeiden
	CHG [230727] 002: Weltsparen: Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung und Anpassung Saldo-Auslesen
	CHG [230727] 001: LBB, Amazon und ADAC Kreditkarten: Anführungszeichen in PDF-Abrechnungen entfernen für den CSV-Parser
	CHG [230722] 001: Miles&More Kreditkarte: Anpassung an das vollständige Redesign des Onlinebanking und des CSV-Aufbaus (hierdurch Umsatzdoppler!)
	CHG [230720] 004: AmericanExpress: Anpassung des Formular der 2FA und des Download-Button für Transaktionen
	CHG [230720] 003: LBB, Amazon und ADAC Kreditkarten: Fehler auf der Seite ignorieren der zum Neuladen auffordert
	CHG [230720] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 115.0.5790.98 (r1148114) umgestellt und neue Prüfsummen berechnet
	CHG [230720] 001: DKB-Visa: Anpassung der Domains zur Aubruf über bisheriges Banking (nach neuem App-Design)
	BUG [230710] 001: AdvanziaBank (Tagesgeld): Erkennen von fehlerhaften PDF-Abrechnungen hat den Fehler nicht weitergeleitet

* ver. 0.9.64 (Beta)

	CHG [230625] 001: HanseaticBank: Anpassung der Erkennung der Abfrage einer smsTAN
	BUG [230625] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Beim Auslesen der Abrechnungs-Zeilen auch bei Timeout-Exception keine Auszüge annehmen
	CHG [230623] 002: HanseaticBank: Anpassung zum Auswählen des Karten-Tabs
	CHG [230623] 001: N26: Anpassung des Auslesen des Saldo
	CHG [230608] 001: Java-Version auf 11 gestellt und veralteten Code angepasst

* ver. 0.9.63 (Beta)

	CHG [230605] 001: ING-DiBa: Anpassung an Link für Überweisung und Erkennung von Meldungen nach dem Login

* ver. 0.9.62 (Beta)

	CHG [230531] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 114.0.5735.90+ (1135570) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.61 (Beta)

	CHG [230521] 002: N26: Anpassung an das Feld Kontostand des Hauptkontos
	CHG [230521] 001: Postbank (Kreditkarten): Schließen von Modal-Dialogen angepasst
	BUG [230520] 001: AmericanExpress: Umsatzsuche beim englsichen Datumsformat waren Monat und Tag vertauscht; Anpassung des Card-Selectlink dynamischer

* ver. 0.9.60 (Beta)

	CHG [230517] 001: DKB-Visa: Hinweis-Erkennung mit Schließen bei Vorschalteseite eingebaut; Wird auf das neue Online-Banking umgestellt, geht im Moment der Abruf nicht
	BUG [230516] 001: Weltsparen: Bei Logout die richtigen Loader-xPath aus WebUtils verwenden
	BUG [230515] 001: AdvanziaBank (Tagesgeld): Erkennen von fehlerhaften PDF-Abrechnungen gab Fehler bei nun keiner HTML-Seite
	CHG [230513] 001: Anpassungen an das neue HTMLUnit 3.x.x welches dadurch auch mindestens benötigt wird
	CHG [230511] 001: Weltsparen: Mögliche Passwort-Länge unbegrenzt (also 99)

* ver. 0.9.59 (Beta)

	CHG [230510] 001: Santander Consumer Bank: Erkennung von Meldungen nach dem Login, Anzeigen und Schließen
	BUG [230509] 001: AmericanExpress: Umsatzsuche ging maximal das vorgegebene Startdatum; Wird beim Backspace zurückgesetzt

* ver. 0.9.58 (Beta)

	CHG [230508] 001: AdvanziaBank (Tagesgeld): Erkennen von fehlerhaften PDF-Abrechnungen die mit einer HTML-Fehlerseite beantwortet werden
	BUG [230508] 001: LBB, Amazon und ADAC Kreditkarten: Umsatzzeilen in PDF-Abbrechnungen erhalten durch ein Semikolon Verwendungszweck zusätzliche Spalte
	CHG [230507] 001: HanseaticBank: Anpassung zum Auslesen der Transaktionen aus der Seite; Durch Empfängerdaten können Umsätze doppelt erscheinen
	CHG [230505] 002: Barclays-Kreditkarten: Cookie-Law (das nun auch mehrmals erscheint) auch nach dem Login und vor der Umsatzsuche bestätigen
	BUG [230505] 001: N26: SEPA-Überweisungsformular für Name und IBAN kommt sofort wenn kein Kontakt vorhanden ist; dann fehlt der entsprechende Button
	CHG [230505] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 113.0.5672.64 (1121455) umgestellt und neue Prüfsummen berechnet
	CHG [230430] 002: AmericanExpress: Warten auf Suchen-Element bei langsamen Laden
	CHG [230430] 001: Selenium-Utils: ElementNotInteractableException bei Funktion clickElementHandleErrors abfangen und weitergeben zum Handling
	BUG [230430] 001: AmericanExpress: Fehler bei Funktion zur alternativen Kartenauswahl in der Transaktionsübersicht
	CHG [230422] 003: PDF-Download einer Rechnung nochmals anklicken bei keinem Dokument (NULL) unter Annahme eines Fehlers auf der Webseite
	CHG [230422] 002: Unterstützung für 'MercedesBenz Bank' wieder aktiviert, da die Bank die Verfügbarkeit für Bestandskunden wohl noch gegeben ist
	CHG [230422] 001: OpenCSV auf die Version 5.7.1 gehoben (hierdurch könnte es zu neuen Parser-Fehlern kommen)

* ver. 0.9.57 (Beta)

	CHG [230421] 002: Selenium-Utils: Kein Fehler bei iFrame-CookeLaw mit Error "contains unresolvable namespaces"
	CHG [230421] 001: Postbank (Kreditkarten): Daten auf neue der Postbank angepasst und Tagesgeld/Anlage ausgenommen

* ver. 0.9.56 (Beta)

	CHG [230421] 002: Postbank (Kreditkarten): Komplettumbau auf die neue Homepage nach der IT-Umstellung
	CHG [230421] 001: TF-Bank: Anpassung um das neue Cookie-Law vor dem Login zu schließen
	CHG [230418] 001: AmericanExpress: Kartenauswahl in der Transaktionsübersicht wieder angepasst und bei Fehler alternativen Link verwenden
	BUG [230418] 001: Openbank: Fehlerhafter xPath-Check bei Fehlererkennung
	BUG [230416] 002: Volkswagen Financial Services: Fehlerhafter xPath-Check nach Login
	BUG [230416] 004: CreditEuropeBank: Fehlerhafter Aufruf mit fehledem Parameter des SecCode-Dialog
	BUG [230416] 003: SeleniumUtils: Fehlerhafter xPath-Check wenn dieser leer übergeben wird bei waitPageLoading
	BUG [230416] 002: ING-DiBA: Fehlerhafter xPath-Check nach Login
	BUG [230416] 001: N26: Fehlerhafter xPath-Check nach Login

* ver. 0.9.55 (Beta)

	CHG [230408] 001: HanseaticBank: Anpassung zum Auslesen des Betrags einer Transaktion aus der Seite
	CHG [230407] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 112.0.5615.50 (1109224) umgestellt und neue Prüfsummen berechnet
	CHG [230407] 001: FidorBank: Abfangen der Meldung zur Konto-Schließung vor dem CSV-Download
	CHG [230404] 002: AkBank: Anpassung an das neue Cookie-Law und der Fehlererkennung
	CHG [230404] 001: Weltsparen: Anpassung an das neue Profil-Menü für Saldo und Logout
	CHG [230402] 001: AmericanExpress: Erkennung von keinen Ergebnissen bei Umsatzsuche dynamischer gestaltet
	BUG [230401] 001: Openbank: Zeile im Kontoauszug überspringen wenn diese keine zweite Spalte hat
	CHG [230401] 001: Postbank: Erkennung von Dialogen zu Systemarbeiten
	CHG [230329] 004: HanseaticBank: Button ins Sichtfeld scrollen damit diese nicht hinter dem neuem Footer sind und nach 90-Tage 2FA richtig auf vorhandene Umsätze prüfen
	CHG [230329] 003: Barclays-Kreditkarten: Anpassung der Logout-Bestätigung
	CHG [230329] 002: Postbank: Cookie-Law (das nun auch mehrmals erscheint) auch beim Usernamen prüfen
	CHG [230329] 001: Santander Consumer Bank: Auslesen von Saldo und Verfügbarer Betrag bei Kreditkarten angepasst
	CHG [230315] 001: Apache Commons Compress auf die Version 1.22 und Apache Commons IO auf die Version 2.11 gehoben

* ver. 0.9.54 (Beta)

	BUG [230313] 001: Santander Consumer Bank: Filterdatum bei Mehrfachabruf richtig zurücksetzen vor neuer Eingabe
	CHG [230313] 001: Santander Consumer Bank: Seiten-Navigation direkt über Links anstatt die Menüs zu klicken
	BUG [230312] 002: Für den Screenshot der Sichtkontrolle bei SEPA-Überweisungen den Pfad zum Temp richtig setzen und bei Fehler aus Haftungsgründen abbrechen
	BUG [230312] 001: GeckoDriver-Versionscheck: Vergleich mit Firefox-Browser ab GeckoDRiver Version 0.31 und Firefox 96 oder 0.32 ab 102 korrigiert
	CHG [230312] 001: Santander Consumer Bank: SEPA-Überweisung mit 2FA angepasst an neuen Aufbau
	CHG [230311] 001: Santander Consumer Bank: 2FA-Abfrage mit SMS und weitere interne Navigation angepasst an neuen Homepage-Code

* ver. 0.9.53 (Beta)

	CHG [230310] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Auch nach dem Login auf Cookie-Laws prüfen
	CHG [230309] 003: Unterstützung der 'Barclays Bank' und der 'Barclays Visa/Kreditkarten' zusammengefasst zu 'Barclays'
	CHG [230309] 002: Weltsparen: Loader-xPath angepasst um Ladevorgänge besser abzuwarten
	CHG [230309] 001: ChromeDriver-Webclient: Je nach Java-Version auf "ASync-HTTP-Client DEV-Port Error" unter Chrome 111 mit Workaround reagieren
	CHG [230308] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 111.0.5563.64 (1097615) umgestellt und neue Prüfsummen berechnet
	NEW [230307] 002: Unterstützung für den Geschäftsvorfall "SEPA-Einzelberweisung" bei der Openbank (Danke an hbci!)
	NEW [230307] 001: Unterstützung für 'Openbank' - Abruf über den Selenium WebDriver
	CHG [230304] 001: AmericanExpress: Rückbau der "Action-Keys Anpassung an das komische englische Suchen-Formular" für Transaktionen (nun wieder normal)
	NEW [230302] 001: Unterstützung für 'TF-Bank (Tagesgeld)' - Abruf über den Selenium WebDriver
	CHG [230302] 001: LeasePlanBank: Anpassung um das Cookie-Law vor dem Login zu schließen

* ver. 0.9.52 (Beta)

	CHG [230226] 002: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 06.03.2023 (Danke an Olaf Willuhn)
	CHG [230226] 001: AmericanExpress: Alternative 2FA mit Bestätigungscode per E-Mail als Option
	CHG [230225] 004: GeckoDriver-Webclient: Headless-Mode mit Argument nutzen und Browser-Fenstergröße mit Argument setzen
	CHG [230225] 003: Advanzia Kreditkarten, free.at, gebührenfrei.de: Anpassungen an Homepage-Änderungen und Januar-Bug
	CHG [230225] 002: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 112.0a1 (24-Feb-2023) umgestellt und neue Prüfsummen berechnet
	CHG [230225] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 110.0.5481.177 (1084008) umgestellt und neue Prüfsummen berechnet
	BUG [230214] 001: ChromeDriver-Webclient: Browser-Fenstergröße mit neuem Argument setzen
	BUG [230212] 001: ChromeDriver-Webclient: Neuer Headless-Mode ab Chromium 109 nutzen; Auch gegen DKB-Security https://scripting-forum.derrichter.de/viewtopic.php?f=34&t=1365
	CHG [230201] 001: Santander Consumer Bank: Menüführung zu alle Konten geändert

* ver. 0.9.51 (Beta)

	CHG [230118] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 109.0.5414.75 (1070088) umgestellt und neue Prüfsummen berechnet
	BUG [221222] 001: HanseaticBank: Ältere Umsätze auch bei keinen neuen Transaktionen zum Auslesen prüfen und Details als Check nutzen

* ver. 0.9.50 (Beta)

	CHG [221221] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 108.0.5359.125 (1058933) umgestellt und neue Prüfsummen berechnet
	CHG [221220] 002: Barclays-Kreditkarten: Maximaler Abrufzeitraum auf 10 Jahre erhöht um mehr Umsätze abzurufen
	NEW [221220] 001: Unterstützung für den Geschäftsvorfall "SEPA-Einzelberweisung" bei der ING-DiBa (Danke an hbci!)
	CHG [221220] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Aktivierung der Cookie-Law Prüfung an mehreren Stellen
	BUG [221220] 001: BW Bank (PAYBACK-Visa und MercedesCard): Umgebrochene Verwendungszeckzeilen spalten den ganzen Datensatz auf
	NEW [221218] 001: Unterstützung für 'Hanseatic Bank Kreditkarten (Genialcard)' - Abruf über den Selenium WebDriver (Danke an hbci!)
	CHG [221214] 001: BW Bank (PAYBACK-Visa und MercedesCard): Anpassung der Login-URL und Umbau der internen Buttons von API-URL auf Klick
	CHG [221212] 001: Postbank: Anpassung an die neue Login-Seite und des Cookie-Law (das nun auch mehrmals erscheint und die Seite und die Auth neu läd)
	CHG [221209] 002: LBB, Amazon und ADAC Kreditkarten: Nicht mehr den Abruf bei Zeitdifferenz von 45 Tagen bei Rechnungen und stabilerer Download
	CHG [221209] 001: Barclays-Kreditkarten: Anpassung des Login-Button der neuen Login-Seite
	BUG [221206] 001: AdvanziaBank (Tagesgeld): Wenn keine Transaktionen und Rechnungen vorhanden sind darf der Kontoauszug nicht NULL sein
	CHG [221206] 001: LBB, Amazon und ADAC Kreditkarten: Anpassung an die veränderte Seitennavigation unter Rechnungen, Abruf aller Seiten

* ver. 0.9.49 (Beta)

	CHG [221202] 002: LeasePlanBank: Anpassung um das Cookie-Law vor dem Login zu schließen und den Saldo auszulesen
	CHG [221130] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 108.0.5359.72 (1058933) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.48 (Beta)

	CHG [221118] 002: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 05.12.2022 (Danke an Olaf Willuhn)
	CHG [221118] 001: N26: Fehlererkennung auch bei Neuanlage eines Kontakts bei SEPA-Überweisung und Umlaute umwandeln, da dies die N26 nicht selbst macht
	BUG [221116] 001: N26: Bei SEPA-Überweisungen bereits vorhandenen Kontakt anhand einer "formatierten" IBAN suchen und auswählen (Leerzeichen fehlten)
	CHG [221116] 002: Santander Consumer Bank: Ident-Cookies Device- nach Fehler nicht mehr zurück setzen
	CHG [221116] 001: AmericanExpress: Anpassung an neues Cookie-Law und Ident-Cookies Device- und Agent-ID nach Fehler nicht mehr zurück setzen
	CHG [221115] 001: AmericanExpress: Action-Keys Anpassung des komischen neuen englischen Suchen-Formulars für Transaktionen
	CHG [221111] 001: Santander Consumer Bank: Erweiterung der Fehlererkennung um neue Meldung statt Login z. B. Wartungsarbeiten

* ver. 0.9.47 (Beta)

	BUG [221107] 001: Barclays-Kreditkarten: Umsatz-Zeitraumsuche nicht nach Von-Feld abbrechen, "ArrayIndex 1 not found" in Kontoauszug abfangen
	CHG [221104] 001: DKB-Visa: Erweiterung der Fehlererkennung um neue Hinweis-Boxen im Onlinebanking
	BUG [221104] 001: AkBank: Zwischensalden (Kontostand) aus dem Kontoauszug übernehmen und Betrag richtig übernehmen
	CHG [221104] 001: Santander Consumer Bank: Mehrere Selector-Varianten für den Postfach-Aufruf

* ver. 0.9.46 (Beta)

	CHG [221028] 001: LBB, Amazon und ADAC Kreditkarten: Anpassung des Linkaufbaus für Rechnungen-Filter und Download
	CHG [221027] 001: Santander Consumer Bank: Anpassung/Erweiterung der Fehlererkennung
	CHG [221026] 003: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 107.0a1 (07-Okt-2022) umgestellt und neue Prüfsummen berechnet
	CHG [221026] 002: LeasePlanBank: Anpassung um das Cookie-Law vor dem Login zu schließen
	CHG [221026] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 107.0.5304.68 (1047731) umgestellt und neue Prüfsummen berechnet
	CHG [221019] 001: CreditEuropeBank: Umstellung auf neue Homepage mit Abruf über Selenium-WebDriver-Engine (Erste Anpassung seit 7 Jahren)
	CHG [221016] 002: IkanoBank: Umstellung auf neue Homepage für Tagesgeld und Rote MasterCard (keine anderen Karten wie IKEA oder Shopping)
	CHG [221016] 001: HtmlUnit-Engine Unterstützungen den Seitencode mit Xml anstatt ContentResponse holen, da dieser sicherer den aktuellen Seitencode liefert
	CHG [221015] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Konvertierung des Rechnungsdatums die Schreibweise 'Jänner' hinzugefügt
	CHG [221014] 002: AkBank: Umstellung auf neue Homepage mit Abruf über Selenium-WebDriver-Engine
	CHG [221008] 001: Postbank: Wiederholte Prüfung um das Cookie-Law vor dem Login zu schließen

* ver. 0.9.45 (Beta)

	CHG [221006] 001: Santander Consumer Bank: Anwahl der Kontoübersicht den Button "Banking" hinzugefügt falls man in einem anderen Bereich war
	CHG [221005] 002: N26: Den N26-Updgradenagebots-Dialog nach dem Login auch bei Business-Konten schließen
	CHG [221005] 001: MercedesBenzBank: Kontoauswahl-Select angepasst

* ver. 0.9.44 (Beta)

	CHG [221004] 003: Santander Consumer Bank: Postfach-Link angepasst
	CHG [221004] 002: Advanzia Kreditkarten, free.at, gebührenfrei.de: Anpassung der Login-URLs und des Auszüge-Links
	CHG [221004] 001: Santander Consumer Bank: CookieLaw-Prüfung erweitert, erfolgreichen Login dynamischer prüfen, Filter-Buttons angepasst
	CHG [221003] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 106.0.5249.91 (1036826) umgestellt und neue Prüfsummen berechnet
	CHG [221003] 001: Volkswagen Financial Services: Hinzufügen der Unterstützung des 2FA-Verfahrens "PushTan"; Wechsel des 2FA im Online-Banking möglich
	CHG [220927] 001: Funktion für bei "HtmlUnit-Fehler einen Webseiten-Abzug als Screenshot-Archiv" ablegen erweitert

* ver. 0.9.43 (Beta)

	CHG [220925] 001: Barclays-Kreditkarten: Logout-Bestätigung auch für englische Webseite angepasst
	CHG [220923] 003: N26: Den N26-Updgradenagebots-Dialog nach dem Login schließen und alternative für Downlaodsaufruf
	CHG [220923] 002: PayPal-API: Entfernen von Sonderzeichen Backslash da sonst der CSV-Converter in Kombination mit Anführungszeichen wohl drüber stolpert
	BUG [220923] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Keine Rechnungen sollten einen leeren Kontoauszug erzeugen
	CHG [220923] 001: Barclays-Kreditkarten: Logout und Keine Treffer auch für englische Webseite angepasst; Danke an alle im Forum
	CHG [220922] 001: Barclays-Kreditkarten: Zeitraumwahl auch für englische Webseite angepasst
	BUG [220921] 001: Advanzia Kreditkarten, free.at, gebührenfrei.de: Parsen von umgebrochenen Verwendungszwecken wurde falsch auch in Folgenden übernommen
	BUG [220920] 001: Barclays-Kreditkarten: Anführungszeichen im Verwendungszweck entfernen, da sonst die Felder von OpenCSV gespaltet werden
	CHG [220920] 002: LBB, Amazon und ADAC Kreditkarten: Erkennung von Meldungen nach dem Login, Anzeigen und Schließen
	CHG [220920] 001: Barclays-Kreditkarten: Zeitraum-Dropdown-Select XPath angepasst
	CHG [220919] 003: PayPal-API: Entfernen von Sonderzeichen wie MEDIUM WHITE CIRCLE da sonst der CSV-Converter drüber stolpert
	CHG [220919] 002: Barclays-Kreditkarten: Warten auf das Zeitraum-Dropdown-Select für 10 Sekunden, da dies bei vielen nicht mehr gefunden wird
	CHG [220919] 001: AmericanExpress: Kartenauswahl in der Transaktionsübersicht angepasst und Fehlerbehandlung
	CHG [220915] 001: DKB-Visa: Anpassung um das Cookie-Law an die neue iFrame-Variante um dieses vor dem Login zu schließen

* ver. 0.9.42 (Beta)

	CHG [220909] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 105.0.5195.54 (1027018) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.41 (Beta)

	CHG [220816] 002: AmericanExpress: Anpassung um das Cookie-Law vor dem Login zu schließen
	CHG [220816] 001: Miles&More Kreditkarte: Anpassung um das Cookie-Law vor dem Login zu schließen

* ver. 0.9.40 (Beta)

	CHG [220810] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 104.0.5112.81 (1012729) umgestellt und neue Prüfsummen berechnet
	BUG [220704] 001: AdvanziaBank: Parsen der aktuellen Transaktione aus PDF mit Seitenumbruch angepasst und hierdurch Umsatzdoppler! (alte Umsätze löschen)
	CHG [220626] 001: Volkswagen Financial Services: Anpassung des Loader-xPath, des Links zur Kontoübersicht in der DEMO-Version, dem Logout-Button und Aktivierung der Fehler-Screenshot-Funktion
	BUG [220622] 001: Santander Consumer Bank: SEPA-Werte mit eigener Substring-Funktion parsen um Index-Fehler zu vermeiden

* ver. 0.9.39 (Beta)

	CHG [220621] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 103.0.5060.53 (1002911) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.38 (Beta)

	CHG [220620] 003: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 103.0a1 (07-Jun-2022) umgestellt und neue Prüfsummen berechnet (auch Bug: Links Linux32/64 verdreht)
	CHG [220620] 002: GeckoDriver-Webclient: CRC-Check unter macOS auslassen, wenn der alternative Chromium-Browser signiert wurde
	BUG [220620] 001: Download-Link zum alternativen Chromium unter macOS "aarch64"-Architektur (M1) richtig setzen
	CHG [220619] 001: Pfad zum ChromeDriver oder GeckoDriver automatisch an die Strukturänderung von Hibiscus-Scripting-Paketen anpassen (neue sinnvolle Architektur-Angabe)
	BUG [220614] 001: Barclays-Kreditkarten: Umsätze ohne Referenznummer nicht überspringen

* ver. 0.9.37 (Beta)

	CHG [220612] 001: FidroBank: Hinweise die als Alert-Box erscheinen ignorieren
	CHG [220609] 002: AmericanExpress: Versuch der Verringerung von False-Positiv Fehlermeldungen durch Eingrenzung des xPath und weitere Schlagworte
	CHG [220609] 001: Ist die alternative Chromium-Binary fehlerhaft oder nicht korrekt, dann Chromium automatisch neu laden und nicht mit Fehler beenden
	BUG [220608] 001: FileSysUtils, ZipFileUtils: Symbolische Links unter Unix richtig und beim Extrahieren vor dem Anlegen löschen (FileAlreadyExistsException)
	BUG [220607] 001: AmericanExpress: Fehlerhandling der Klick-Fehler durch Feedback-Anfrage gibt nach Erfolg alte Exception weiter; Error-Handling bei mTAN-Falscheingabe
	CHG [220606] 001: PayPal-API: Kein Abrufabruch mehr bei Fehler "10004" - "The transaction could not be loaded", sondern Warnmeldung ausgeben und weiter machen
	BUG [220606] 001: Java-Versionscheck: String "-ea" also Einzel-Version entfernen
	CHG [220601] 001: DKB-Visa, Miles&More Kreditkarten, Santander Consumer Bank: Synchronisierungs-Optionen anwenden wie gesetzt; Konto beim Mehrfachabruf ignorieren
	CHG [220531] 003: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 06.06.2022 (Danke an Olaf Willuhn)
	CHG [220531] 002: AmericanExpress: Versuch der Verringerung von False-Positiv Fehlermeldungen durch Schlagworte
	CHG [220531] 001: Miles&More Kreditkarten: Anpassung des Auslesen des Kontosaldos an beide Style-Variaten

* ver. 0.9.36 (Beta)

	CHG [220530] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 102.0.5005.61 (992738) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.35 (Beta)

	CHG [220516] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 101.0.4951.64 (982481) umgestellt und neue Prüfsummen berechnet
	CHG [220428] 002: Santander Consumer Bank: Login dynamischer gestaltet da die Änderung recht unnötig war und wieder geändert werden könnte
	CHG [220428] 001: Miles&More Kreditkarten: Anpassung des CVS-Downloads an Änderung der Webseite

* ver. 0.9.34 (Beta)

	BUG [220405] 001: SeleniumUtils: Bei xPath-Expression-Ergenissen aus dem innerHTML (also ohne HTML-Tags) wurden keine Ausnahmen angewendet
	CHG [220405] 002: AdvanziaBank: Meldung der Bank wird als Fehler erkannt und wird nun ausgeschlossen "Sie sind bereits registriert"
	CHG [220405] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 100.0.4896.75 (972766) umgestellt und neue Prüfsummen berechnet
	CHG [220327] 001: FidorBank: Anpassung an eventuell neue Einschränkung: Kein Verwendungszweck im CSV angegeben; Gegenkontodaten werden verarbeitet

* ver. 0.9.33 (Beta)

	CHG [220309] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 99.0.4844.51 (961656) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.32 (Beta)

	CHG [220206] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 98.0.4758.80 (950365) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.31 (Beta)

	CHG [220107] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 97.0.4692.71 (938553) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.30 (Beta)

	BUG [211224] 001: AdvanziaBank (Tagesgeld): Bei Einzahlungen den Wert positiv buchen (Weitere bitte im Forum melden)
	BUG [211222] 001: LBB, Amazon und ADAC Kreditkarten: Datum-Parser wieder entfernt und selbst geschrieben, da dieser Fehlerhaft gearbeitet hat
	CHG [211111] 001: Barclays-Kreditkarten: Unterstützung einer Zweitkarte bzw. Mastercard
	CHG [211106] 001: ChromeDriver-Webclient: CRC-Check unter aarch/arm-OS auslassen, da es hier (noch) keinen automatischen Download und somit auch keine Prüfsummen gibt
	CHG [211205] 001: Miles&More Kreditkarte: Anpassung um das Cookie-Law vor dem Login zu schließen
	CHG [211205] 001: Postbank: Anpassung um das Cookie-Law vor dem Login zu schließen

* ver. 0.9.29 (Beta)

	CHG [211124] 001: Santander Consumer Bank: Bei Falscheingabe der mTAN beim 2FA-Verfahren die wiederholende Eingabe anbieten
	NEW [211119] 001: Migration zu Selenium 4; WebDriver nun W3C-konform bei ShadowRoot
	BUG [211118] 001: FidorBank: Schließen der Cookie-Meldung auf der Umsatzseite noch alte ungenaue Variante
	CHG [211117] 002: Weltsparen: Loginvorgang länger laden lassen um Fehlermeldungen nicht zu verpassen
	CHG [211117] 001: AmericanExpress: Erkennung von Meldungen und Popups nach dem Login dynamischer gestaltet

* ver. 0.9.28 (Beta)

	CHG [211116] 003: Volkswagen Financial Services: Erkennung des Login-Fehler mit Retry-Möglichkeit und weitere Auforderungen nach dem Login
	CHG [211116] 002: Rabodirect: Anpassung an den neuen Aufbau mit den nun "geschlossenen Konten" für den abschließenden Abruf
	BUG [211116] 001: LBB, Amazon und ADAC Kreditkarten: PDF-Abrechnung bevorzugen und CSV nicht überschneidet auslesen, da Verwendungszwecke im CSV-Auszug abgeschnitten sind
	CHG [211116] 001: IkanoBank: Anpassung der Direkt-URLs zum Online-Banking wegen Hinweis zum neuen 2FA für (Ikea-)Kreditkarten auf neuer Seite
	CHG [211115] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 96.0.4664.45 (929512) umgestellt und neue Prüfsummen berechnet
	BUG [211115] 001: DKB-Visa: Auslesen von 'Verfügbarer Betrag' überspringen vom 08.04.2020 hatte nicht gegriffen, statt Abbruch Info-Text und auf NaN zurücksetzen
	NEW [211114] 001: AdvanziaBank: Unterstützung für das Tagesgeldkonto
	CHG [211111] 002: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 06.12.2021 (Danke an Olaf Willuhn)
	CHG [211111] 001: Weltsparen: Falsche Zeilenumbrüche im Verwendungszeck im CSV-Kontoauszug entfernen
	CHG [211110] 002: Santander Consumer Bank: Anpassung des Login-Verfahrens und Cookie-Reaktion
	CHG [211110] 001: N26: Wegen Sessioncheck Downloadsseite durch Klick anstatt druch Direktlink aufrufen
	NEW [211109] 001: AdvanziaBank: Unterstützung der Ableger 'free.at' und 'gebührenfrei.de' Kreditkarten
	CHG [211108] 003: AdvanziaBank: Umstellung auf Abruf über Selenium-WebDriver-Engine und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	CHG [211108] 002: DKB-Visa: Option zum Erzwingen des alternativen 2FA-Verfahrens über optionalen Parameter verfügbar gemacht
	CHG [211108] 001: FidorBank: Parsen des CSV-Kontoauszug wegen Änderungen wesentlich angepasst; Hierdurch Umsatzdoppler! (alte Umsätze löschen)
	CHG [211104] 003: Miles&More Kreditkarten: Fusions-Routine aktiviert für "Verwendungsweck wird nachträglich um Informationen erweitert", sonst Umsatzdoppler
	CHG [211104] 002: ChromeDriver-Webclient: CRC-Check unter macOS auslassen, wenn der alternative Chromium-Browser signiert wurde
	CHG [211104] 001: N26: Anpassung der Spalten zum CSV-Kontoauszug aufgrund des Wegfalls der Referenznummer, es könnten Umsatzdoppler entstehen (alte Umsätze löschen)
	CHG [211103] 001: Barclaycard: Umbenennung des Pakets in "Barclays Visa Kreditkarte"
	CHG [211102] 002: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 95.0a1 (01-Nov-2021) umgestellt und neue Prüfsummen berechnet
	CHG [211102] 001: Postbank (Tagesgeld): Umstellung von Detail-Abruf auf alten CSV-Abruf; Hierdurch schnellerer Abruf aber Umsatzdoppler möglich!
	CHG [211031] 001: ChromeDriver-Webclient: Versuch der Reaktion auf 'DevToolsActivePort file doesn't exist' mit alternativem Chromium
	NEW [211028] 001: FidorBank: Unterstützung des 2FA-Verfahren mittels 'Banking-App' durch (Neu-)Umbau auf Selenium-WebDriver-Engine inkl. SEPA-Einzelüberweisung
	BUG [211026] 001: Java-Versionscheck: Bei z.B. Version ohne Segmente diese nicht parsen

* ver. 0.9.27 (Beta)

	CHG [211025] 005: DKB-Visa: Hinweistext bei Vorschaltseite beim Login/2FA den Text als Fehler ausgeben und beenden
	CHG [211025] 004: Anpassungen an das neue HTMLUnit 2.54 welches dadurch auch mindestens benötigt wird
	CHG [211025] 003: LeasePlanBank: Erkennung des 2FA-Verfahren 'mobileTAN' angepasst
	CHG [211025] 002: Rabodirect: Hinzufügen von Hinweisbanner-Erkennung und neues Trennzeichen bei Kontoauszügen
	CHG [211025] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 95.0.4638.54 (920003) umgestellt und neue Prüfsummen berechnet
	CHG [211024] 002: AdvanziaBank: Umstellung auf Adresse des "alten Kundenportal" zur Überbrückung bis Anpassung an neues Portal
	CHG [211024] 001: Weltsparen/SeleniumUtils: Unterstützung zum Schließen von CookieLaws in Shadow-Roots und Umsatzaufruf angepasst
	CHG [211018] 003: AmericanExpress: kleinere Verbesserungen um den Abruf vermeintlich stabiler zu machen
	CHG [211018] 002: PayPal-API: Maximaler Abrufzeitraum von 3 Jahre um drei Tage reduziert um sicher niemals über den Abrufzeitraum zu kommen
	CHG [211018] 001: Rabodirect: technischer Umbau auf neues Formular zum Umsatzabruf
	CHG [211017] 001: Barclays/Barclaycard: technischer Umbau auf neues Homepage-Design

* ver. 0.9.26 (Beta)

	CHG [211003] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 94.0.4606.71 (911515) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.25 (Beta)

	CHG [210817] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 92.0.4515.159 (885287) umgestellt und neue Prüfsummen berechnet
	CHG [210705] 003: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 91.0a1 (2021-06-05-21) umgestellt und neue Prüfsummen berechnet
	CHG [210705] 002: FirefoxBrowser-Versionscheck mit Bezug auf Kompatibilität zum GeckoDriver 0.26.x - 0.35.x erweitert
	CHG [210705] 001: RaboDirect: Anpassung an diverse Änderungen der Homepage
	BUG [210625] 001: AmericanExpress: Beim Auslesen von Fehlermeldungen aber Alert-DIVs für neutrale Meldungen und Marketing ignorieren
	CHG [210611] 001: AmericanExpress: Anpassung des Account-Selectors an die Änderung der Seite
	CHG [210605] 001: AmericanExpress: weitere Feedback-Anfrage mit Nein schließen beim Saldo-Lesen
	BUG [210603] 001: Java-Versionscheck: Bei z.B. Version 1.8.0-XXX das dritte Segment richtig parsen
	CHG [210603] 001: N26: Versuch der Erkennung einer falschen Account-Sprache da der Account bei N26 in den App-Einstellungen auf 'Deutsch' gestellt sein muss

* ver. 0.9.24 (Beta)

	CHG [210530] 001: IkanoBank: Anpassung an die neuen Formular und HTML-Tags, also dem neuem technischen Aufbau der alten Seite
	CHG [210528] 001: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 07.06.2021 (Danke an Olaf Willuhn)
	CHG [210527] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 91.0.4472.77 (870763) umgestellt und neue Prüfsummen berechnet
	CHG [210526] 001: Miles&More Kreditkarten: "Passwort vergessen" erkennen und mit Fehler beenden; Darstellung von &-Zeichen im Namen an zutreffenden Stellen nicht doppelt darstellen
	BUG [210525] 002: LBB, Amazon und ADAC Kreditkarten: Keine Umsätze berücksichtigen
	BUG [210525] 001: AmericanExpress: Feedback-Anfrage bei Klick-Fehlern mit Nein schließen, Keine Ergebnisse berüchsichtigen
	CHG [210522] 001: AmericanExpress: CSV-Kontoauszug kann auch aus fünf Spalten mit "Karteninhaber,Konto #" bestehen wodurch der Betrag auf Position 5(4) wandert
	BUG [210522] 001: LBB, Amazon und ADAC Kreditkarten: Vorgemerkte Umsätze nicht übernehmen, da neuer Text bei Valuta; Ungebuchten Betrag aber berücksichtigen
	CHG [210517] 002: LBB, Amazon und ADAC Kreditkarten: Anpassung an das neue Homepage-Desing z. B. beim Login und Finanz-Übersicht
	CHG [210517] 001: AmericanExpress: Unterstützung des 2FA-Verfahren 'mobileTAN' oder 'mailTAN'
	CHG [210430] 001: AmericanExpress: Abrufablauf zur Kartenwahl und Guthaben angepasst
	CHG [210421] 002: LeasePlanBank: Unterstützung des 2FA-Verfahren 'mobileTAN'
	CHG [210421] 001: AmericanExpress: Download des CSV-Kontoauszugs an neue Abrechnungsseite angepasst (Hierdurch entstehen Umsatzdoppler)

* ver. 0.9.23 (Beta)

	CHG [210416] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 90.0.4430.72 (857950) umgestellt und neue Prüfsummen berechnet
	BUG [210416] 001: LBB, Amazon und ADAC Kreditkarten: CSV-Zeilen ohne teilmaskierte Kartennummer nicht auslassen
	CHG [210408] 001: DKB-Visa: Logout-Bestätigung angepasst an neuen Text

* ver. 0.9.22 (Beta)

	CHG [210307] 001: LBB, Amazon und ADAC Kreditkarten: Umstellung von API-Abruf der aktuellen Transaktionen auf CSV-Abruf da die Authentifizierung aus den Cookies genommen wurde
	CHG [210303] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 89.0.4389.72 (843831) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.21 (Beta)

	BUG [210120] 001: Santander Consumer Bank: Der neueste Umsatz im Kontoauszug ist oben und nicht unten, also kein Reverse machen
	CHG [210120] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 88.0.4324.96 (827102) umgestellt und neue Prüfsummen berechnet
	BUG [210115] 001: Santander Consumer Bank: Auslesen von Kreditkartenabrechnungen vom Dezember des Vorjahres
	NEW [210114] 001: Unterstützung für 'Miles & More Kreditkarten' - Abruf über den Selenium WebDriver (Danke an hbci!)
	NEW [210114] 001: N26: Geschäftsvorfall "SEPA-Einzelberweisung" unterstützt. Bei oder vor Authorisierung ein ScreenCapture zur Sichtprüfung
	BUG [210114] 001: Selenium-Utilities: Nach Anwendung von Klick-Alternativen nach Fehlerfang, diese als gültig erklären
	NEW [210112] 001: N26: Unterstützung des 2FA-Verfahren 'mobileTAN', auch wenn dies eigentlich nicht sinnvoll erscheint

* ver. 0.9.20 (Beta)

	CHG [210107] 001: Santander Consumer Bank: Auslesen von Fehlermeldungen im Überweisungsformular die durch unzulässige Werte in den Feldern angezeigt werden; Und Fehler bei falschem Auftragskonto ausgeben
	BUG [210107] 001: Santander Consumer Bank: Da der Betragwert bei Eingabe von Komma und Punkt um die letzten Nullen reduziert wird, werden diese nicht mehr eingegeben um den richtigen Wert zu erhalten
	CHG [210106] 001: DKB-Visa: Scheinbar werden die Umsatzsuche-Feldnamen wie früher auch andere Feldnamen bei unterschiedlichen Sitzungen anders benannt. Es wird nun nach beiden Varianten gesucht

* ver. 0.9.19 (Beta)

	CHG [201223] 001: Santander Consumer Bank: Anpassung des Aufbaus im Verwendungszweck für die Sonderfälle "Zahlung Lastschrift" und "Ihr Tankrabatt" als Kompatibilität zu PDF-Abrechnungen
	NEW [201219] 001: FidorBank: Geschäftsvorfall "SEPA-Einzelberweisung" wird nun wieder unterstützt. Bei der mTAN-Abfrage wird ein build-ScreenCapture zur Sichtprüfung mit angeboten.
	NEW [201218] 001: FidorBank: Abruf der Umsätze per CSV-Kontoauszug und Unterstützung des 2FA-Verfahren 'mobileTAN'
	BUG [201216] 001: Volkswagen Financial Services: Wertstellungsdatum nicht versuchen auszulesen wenn dieses leer ist und gleich dem Buchungsdatum setzen
	CHG [201214] 001: Volkswagen Financial Services: Anpassen der Erkennung auf Auforderungen nach dem Login und der href-Links gegen Wildcard (somit geht auch DEMO)
	BUG [201213] 001: Selenium-Utilities: Routine zum Abfangen von Klick-Fehlern nicht endlos laufen lassen und beim Wegfall des Objekts abbrechen
	CHG [201212] 002: Weltsparen: Anpassung der Links von href auf button
	CHG [201212] 001: Postbank (Anlage): Umstellung von Detail-Abruf auf alten CSV-Abruf; Tagesgeld wird auf Screenscraping belassen, da hier Gegenkontodaten ausgelesen werden
	NEW [201211] 001: Santander Consumer Bank: Geschäftsvorfall "SEPA-Einzelberweisung" von allen angeboten Konten unterstützt. Bei oder vor Authorisierung ein ScreenCapture zur Sichtprüfung
	NEW [201207] 001: Santander Consumer Bank: Unterstützung des Umsatzabrufs für alle Kontoarten
	BUG [201206] 001: Barclays Bank: Buchungsdatum wurde auch als Primotakennzeichen eingetragen (durch diese Korrektur entstehen im Abrufzeitraum Umsatz-Doppler!)
	CHG [201203] 001: DKB-Visa: Lange genug warten und Fehlerermeldung ausgeben wenn der Download des CSV-Kontoauszugs nicht durchgeführt wurde (NULL ist)
	NEW [201125] 001: BrowserUp Proxy-Versionscheck als Funktion verfügbar
	CHG [201123] 001: DKB-Visa: Fehlererkennung erweitert um Fehlerseite mit ID "WartungsSeite"

* ver. 0.9.18 (Beta)

	CHG [201120] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 87.0.4280.66 (±812852) umgestellt und neue Prüfsummen berechnet
	CHG [201119] 004: AmericanExpress: Anpassung um das Cookie-Law vor dem Login zu schließen
	CHG [201119] 003: Postbank (Anlage): Umstellung von CSV auf Detail-Abruf aus der Seite wie beim Tagesgeld (ungetestet). Hierdurch langsamerer Abruf und Umsatzdoppler möglich!
	CHG [201119] 002: LBB, Amazon und ADAC Kreditkarten: Anpassung der Programm-ID für die API und Cookie-Law schließen um Click-Catch-Fehler zu vermeiden
	CHG [201119] 001: DKB-Visa: Cookie-Law vor dem Login schließen um Click-Catch-Fehler zu vermeiden

* ver. 0.9.17 (Beta)

	BUG [201017] 001: SecurityUtils: Die Kalkulation der Checksummen des alternativen Chromium-Browser muss immer symbolische Dateisystem-Links auslassen
	BUG [201013] 001: Postbank: BestSign/SealOne bei manueller Sicherheitsmedium-Auswahl besser handeln, Exception abfangen
	CHG [201012] 001: Postbank (Tagesgeld): Umbau von CSV auf Detail-Abruf aus der Seite. Hierdurch langsamerer Abruf und Umsatzdoppler möglich!
	BUG [201011] 001: Postbank (Kreditkarte): Buchungsdatum und Valutadatum falsch herum; Durch diese Korrektur werden im Abrufzeitraum Umsatzdoppler entstehen!
	CHG [201009] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 86.0.4240.75 (±800218) umgestellt und neue Prüfsummen berechnet
	NEW [201009] 001: BankOfScotland: Umbau auf neues Homepage-Design und Zwei-Faktor-Authentifizierung mit mobileTAN. Excel-Kontoauszug mit Apache POI lesen
	BUG [201005] 001: LBB, Amazon und ADAC Kreditkarten: Anführungszeichen im Verwendungszweck entfernen, da sonst die Felder von OpenCSV gespaltet werden
	NEW [201003] 001: DABbank-B2B: Erweiterung des der Zwei-Faktor-Authentifizierung um QR-Code-TAN (SecurePlus)
	CHG [200908] 001: Barclaycard: Auslesen des TAN-Sicherheitstextes angepasst

* ver. 0.9.16 (Beta)

	CHG [200907] 001: Weltsparen: Anpassung und Verbesserung vom Handling um das Cookie-Law vor dem Login zu schließen
	CHG [200827] 001: N26: Neue Loader-Erkennung auch hier übernommen um Ladevorgang immer zu erkennen
	CHG [200826] 002: PayPal-API: Bei fehlendem Feld "L_Name" wohl auch fehlendes Feld "L_Type" und dann auch keinen Detailabruf
	CHG [200726] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 85.0.4183.83 (782793) umgestellt und neue Prüfsummen berechnet
	CHG [200819] 001: PayPal-API: Bei fehlendem Feld "L_Name" müssen wir davon ausgehen, dass es sich um eine Buchung von eBay/PayPal selbst handelt, daher setzten wir einfach nichts

* ver. 0.9.15 (Beta)

	CHG [200818] 001: LeasePlanBank: Fehlererkennung erweitert um "Passwort ist abgelaufen"
	CHG [200815] 002: RaboDirect: Anpassung des wiederholenden Klicks auf "Umätze filtern" umd immer das Datum-Feld zu finden
	CHG [200815] 001: PayPal-API: Abrufintervall einmal vom maximalen Abrufzeitraum abziehen um beim Initial-Abruf niemals die 3 Jahre zu überschreiten
	CHG [200803] 001: RaboDirect: Anpassung des Login-Benutzerfeldes
	CHG [200729] 001: Barclaycard: Positive Transaktionen nun allgemein erkennen und nicht an der Kategorie
	CHG [200729] 001: Barclaycard: Anpassung von Buttons und Datenfeldern der Startseite an neuen Aufbau angepasst

* ver. 0.9.14 (Beta)

	CHG [200719] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 84.0.4147.89 (768962) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.13 (Beta)

	CHG [200629] 001: Barclaycard: Anpassung der Feldpositionen beim Auslesen des XLS-Kontoauszugs wegen neuem Valuta-Feld das auch Buchungsdatum heißt
	BUG [200621] 001: AdvanziaBank: unvollständige HTML-Codings, manuell ersetzten (&)
	BUG [200611] 001: LBB, Amazon und ADAC Kreditkarten: Semikolon im Verwendungszweck entfernen, da sonst die Felder von OpenCSV gespaltet werden

* ver. 0.9.12 (Beta)

	NEW [200601] 001: DABbank-B2B: Erweiterung des Anmeldevorgangs und des Umsatzabrufs um die Zwei-Faktor-Authentifizierung mit mobileTAN
	CHG [200531] 001: PAYBACK-Visa, MercedesCard: Anpassung des Login-Vorgangs im Headless-Modus
	CHG [200531] 001: Barclaycard: Anpassung von Buttons und Datenfeldern an anderen HTML-Tag Label
	BUG [200530] 002: MoneYou: Bei einem neuem Konto ist noch kein Sektion für Transaktionen vorhanden und kann daher auch nicht gefunden werden
	BUG [200530] 001: AdvanziaBank: Semikolon im Verwendungszweck ersetzen um CSV-Aufbau nicht zu unterbrechen
	CHG [200530] 001: RaboDirect: Anpassung an dder Login-URL und reagieren auf Hinweis-Dialoge der Bank
	CHG [200528] 003: Java-Versionscheck erweitert um den weitere Versionsausgaben von Mainversion 11
	CHG [200528] 002: LBB, Amazon und ADAC Kreditkarten: Hotfix für Download von PDF-Abrechnungen mit Öffnen-Button im Tab wieder entfernt; ChromeDriver 83: Resolved issue 3120: Headless mode download from new tab
	CHG [200528] 001: AmericanExpress: Cookie-Law auch nach dem Login schließen
	CHG [200522] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 83.0.4103.61 (756066) umgestellt und neue Prüfsummen berechnet
	BUG [200509] 001: LBB, Amazon und ADAC Kreditkarten: Vor Übergabe an OpenCSV Anführungszeichen im PDF-Kontoauszug ersetzen da die Übernahme sonst endet
	CHG [200509] 002: RaboDirect: Anpassung an das neue Login-Formular in zwei Schritten
	CHG [200509] 001: AmericanExpress: Anpassung und Verbesserung vom Handling um das Cookie-Law vor dem Login zu schließen
	CHG [200427] 001: Barclaycard: Wesentlich verbessertes Handling um das nervige Cookie-Law vor dem Login zu schließen
	BUG [200425] 001: AmericanExpress: Selektion der Karten und der Rechnungen angepasst
	CHG [200424] 003: Selenium-WebDrivers-Webclient: Einstellungen zusätzlich nochmals über CAPABILITY setzen
	CHG [200424] 002: AmericanExpress: Anpassung der Login-Form dynamischer gestaltet
	CHG [200424] 001: N26: Sprache vor Login prüfen und wenn notwendig setzen
	CHG [200421] 001: LBB, Amazon und ADAC Kreditkarten: Bei nicht-lesbaren PDF-Abrechnungen den Abruf dieser und weiterer wird abgebrochen um Abruf beenden zu können
	BUG [200412] 001: DKB-Visa: Bei Vorbeuge-Maßname gegen "Dangling meta character '*' near index 0" am Zeilenanfang die Zeichen escapen

* ver. 0.9.11 (Beta)

	CHG [200408] 005: Selenium-Utilities: Routine zum Abfangen von Klick-Fehlern erweitert um Action-Alternative (z. B. bei Logout-Button von Volkswagen Financial Services)
	CHG [200408] 004: DKB-Visa: Auslesen von 'Verfügbarer Betrag' überspringen statt mit einem Fehler mit Abbruch darauf hinzuweisen; Durch NaN zurücksetzen möglich
	CHG [200408] 003: N26: Erkennung des Logout angepasst und Warten auf Freigabe mit Banking-APP auf vier Minuten erhöht
	CHG [200408] 002: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 09.03.2020
	CHG [200408] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 81.0.4044.92 (737173) umgestellt und neue Prüfsummen berechnet
	BUG [200407] 001: LBB, Amazon und ADAC Kreditkarten: Den Saldo-Summe von "vorgemerkten Umsätzen" bei den Zwischensalden raus rechnen da diese im Kontosaldo enhalten sind
	CHG [200406] 003: Postbank (Tagesgeld, Kreditkarte): Logout wird nun wieder durchgeführt. Anwählen von UserPopUp dynamischer gestaltet
	BUG [200406] 002: Volkswagen Financial Services und Landesbank Berlin: Fehlerhafter Identifier verhinderte Passwort-Reset bei Fehler
	CHG [200406] 002: MercedesBenzBank: Maximalen Abrufzeitraum von 48 Monaten eingefügt und diesen bei einem Komplett-Abruf auswählen
	BUG [200406] 001: Barclaycard: Fehlererkennung angepasst um mTAN-Dialog nicht zu ignorieren und Erkennung von mTAN-Dialog beim Login angepasst und Schleife bei nochmaliger Abfrage
	CHG [200406] 001: AmericanExpress: Anpassung der Login-Form und Erkennung Meldungen nach dem Login eingefügt
	CHG [200405] 004: Postbank (Tagesgeld, Kreditkarte): Erweiterung der Erkennung von wichtigen Nachrichten der Bank um ungelesene Kontoauszüge (werden nach Hinweis als gelesen markiert!)
	CHG [200405] 003: LBB, Amazon und ADAC Kreditkarten: Aufruf aller URLs wieder auf eine Main-URL umgestellt und Auslesen der zu verwendenden Programm-ID aus dem Cookie für die API
	CHG [200405] 002: MercedesBenzBank: Auslesen von Fehlermeldungen der Bank verbessert
	CHG [200405] 001: IkanoBank: Auslesen von Fehlermeldungen der Bank verbessert
	BUG [200404] 002: LBB, Amazon und ADAC Kreditkarten: Alle Abrechnungsumsätze der Bank aus PDF-Abrechnungen berücksichtigen
	CHG [200404] 001: LBB, Amazon und ADAC Kreditkarten: Unterstützung für PDF-Abrechnungen mit Auslandsumsätzen (Danke an stesie und tidenhub)
	BUG [200404] 001: DABbank-B2B: Suche nach Umsätzen setzte das Formular wieder zurück, Fake-SearchButton eingebaut
	CHG [200403] 001: DABbank-B2B: Erkennung von Wartungsarbeiten eingebaut
	BUG [200403] 001: LBB und ADAC Kreditkarten: API-URLs falsch angewählt (und Amazon) und Saldo-Ermittlung mit Auslesen von "Verbraucht" und Berechnung mit "Verfügbar" nur alternativ
	CHG [200402] 002: N26: Button von Login-Form und Erkennung der Zwei-Faktor-Authentifizierung angepasst
	CHG [200402] 001: Barclaycard: Cookie-Law vor dem Login schließen und zum Download-Button scrollen um Click-Catch-Fehler zu vermeiden
	BUG [200402] 001: RaboDirect: Suche nach Konto-Block etwas dynamischer gestaltet um wechselnde IDs zu unterstützen
	BUG [200401] 001: Postbank (Kreditkarten): Element verhinderte Auffinden des Weitere-Button, dadurch wurden nur noch ganz aktuelle Umsätze geladen keine älteren
	NEW [200401] 001: Unterstützung für 'Kreditkarten bei der Landesbank Berlin' (LBB, Amazon und ADAC) - Abruf über den Selenium WebDriver inklusive der PDF-Abrechnungen (Danke an Markus!)
	CHG [200401] 001: Log-Ausgaben der Kontoauszugsroutine wesentlich reduziert und ohne Zeilenumbrüche ausgeben
	BUG [200314] 001: DKB-Visa: Vorbeugen von java.util.regex.PatternSyntaxException: Dangling meta character '*' near index 0" beim Lesen des CSV-Kontoauszug
	BUG [200302] 001: Postbank (Sparkonten): Adresse des "alten" Online-Banking für Spar-Konten (SparCard) zweimal aufrufen, sonst landet man bei der neuen
	BUG [200225] 001: PAYBACK-Visa: NULL-Identifier verhinderte Logout-Funktion
	CHG [200224] 001: ChromeDriver-Webclient: Erweiterte Log-Ausgaben zum alternativen Chromium-Browser

* ver. 0.9.10 (Beta)

	BUG [200224] 002: N26: Dynamisches Login-Form angepasst. Erfolgreicher Logout und fehlerhafter Login wird wieder erkannt
	CHG [200224] 001: PAYBACK-Visa: Zwei Workarounds wegen Headless-Download Tab-Fehler: https://bugs.chromium.org/p/chromedriver/issues/detail?id=3120; Direkt-Link und Fensterwechsel
	BUG [200224] 001: DKB-Visa: Bei 2FA-Verfahren 'TAN2Go-App' wurde der Benutzer nicht nach der TAN gefragt und das erste Endgerät wurde nicht automatisch gewählt
	CHG [200223] 001: PAYBACK-Visa: Erkennung von Fehlermeldungen der Bank erweitert bzw. angepasst
	CHG [200220] 001: AmericanExpress: Unterstützung für mehrere Karten mit der selben (End-)Nummer (An die Nr. -1, -2 oder -3 anhängen) und Selektion mit zusätzlich gesperrter Karte

* ver. 0.9.9 (Beta)

	BUG [200218] 001: Barclaycard: Vorgemerkte Umstätze wurden nicht ordnungsgemäß ausgelassen und Logout richtig abschließen
	BUG [200215] 001: DKB-Visa: Es wurde bei nicht-Erkennung versucht den Text auf das deaktivierte iTan-Verfahren zu lesen
	CHG [200215] 001: AdvanziaBank: Bei fehlendem aktuellen Saldo wird der "verfügbare Betrag" mit dem Kreditrahmen verrechnet um den Saldo zu erhalten
	NEW [200215] 001: DKB-Visa: Erweiterung des Anmeldevorgangs der Zwei-Faktor-Authentifizierung um ChipTan QR (QR-Code)
	BUG [200214] 002: DKB-Visa: Bei Abbruch einer angefangen Authorisierung mit der Banking App und folgender Geräteabfrage, wurde der Vorgang nicht wiederholt und weitere Abfang-Routinen
	CHG [200214] 003: Weltsparen: Schließen des Fensters für die Newsletter-Anfrage, verhindert Klicks
	CHG [200214] 002: Java-Versionscheck erweitert um den weitere Versionsausgaben und automatischen Anhängen von Subversionen, zur direkten Analyse
	CHG [200214] 001: RaboDirect: Anpassung der Bestätigung der Cookie-Law, diese hat den Login verhindert
	CHG [200213] 002: N26: Erkennung des Authentifizierungsverfahrens 'Banking App' angepasst
	CHG [200213] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 80.0.3987.100 (722274) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.8 (Beta)

	CHG [200115] 001: Postbank (Tagesgeld, Kreditkarte): Fehler bei gelöschten Elementen abfangen
	CHG [200105] 002: PayPal-API: Aufgrund von neuen Vorgaben wurde der maximale Abrufzeitraum beim Initial-Abruf von 5 auf 3 Jahre verringert
	CHG [200105] 001: PayPal-API: Transaktionen des Typs 'Updated' überspringen da wohl nicht Umsatzrelevant
	CHG [191225] 001: Logausgaben der Versionschecks erweitert um den Stacktrace bei Fehlern, zur direkten Analyse
	CHG [191222] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 79.0.3945.88 (706915) umgestellt und neue Prüfsummen berechnet
	CHG [191129] 001: RaboDirect: Anmelde-Button angepasst
	CHG [191124] 002: RaboDirect: Cookie-Law vor dem Login schließen um Click-Catch-Fehler zu vermeiden
	BUG [191124] 001: Weltsparen: Warten auf Login-Formular Username war falsch mit ID
	CHG [191124] 001: Barclaycard: Selector für den Link zur Umsatzübersicht angepasst und verbessertes Warten bei der Ladeanimation beim Login
	CHG [191024] 001: Apache Compress auf die Version 1.19 gehoben

* ver. 0.9.7 (Beta)

	CHG [191023] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 78.0.3904.70 (693954) umgestellt und neue Prüfsummen berechnet
	BUG [191021] 001: DKB-Visa: Funktion zum Ersetzen von Anführungsstrichen in mit Anführungsstrichen gekapselten Datenfeldern erweitert um Anfang und Ende
	BUG [191017] 001: AdvanziaBank: Schleife beim Auslesen neuer Transaktionen hatte immer nur das erste Objekt wiederholt verarbeitet und auf Rechnungen wurde nicht lange genug gewartet (Danke an Andreas für den Zugang)
	CHG [191017] 001: PAYBACK-Visa: Umbenennung des Pakets in "BW Bank" und Unterstützung für 'MercedesCard' hinzugefügt
	CHG [191015] 001: Volkswagen/Audi Bank: Umbenennung des Pakets in "Volkswagen Financial Services" und Unterstützung für 'Seat Bank' und 'Skoda Bank' hinzugefügt
	NEW [191014] 001: PAYBACK-Visa: Abruf über Selenium-WebDriver-Engine inklusive der PDF-Abrechnungen
	CHG [191013] 002: Weltsparen: Anpassung an neues Login-Formular, neues Menü, neuer Logout und neuer Export von Umsätzen
	CHG [191012] 001: FirefoxBrowser-Versionscheck mit Bezug auf Kompatibilität zum GeckoDriver 0.26.0 erweitert
	CHG [191008] 001: Barclaycard: Umstellung auf Abruf über Selenium-WebDriver-Engine und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	CHG [191007] 003: Parameterdateien der Institute erweitert um benötigten Parameter für POI-Engine
	CHG [191007] 002: Barclays: BLZ und BIC auf Barclays Bank Frankfurt umgestellt um Unterschied zur Barclaycard zu haben
	NEW [191007] 001: Apache POI-Versionscheck als Funktion verfügbar
	CHG [191007] 001: Apache Compress auf die Version 1.18 gehoben
	CHG [190930] 001: N26: Umstellung und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	BUG [190926] 001: ChromeDriver-, GeckoDriver-, PhantomJSDriver-Versionscheck: Sprung zu relevanter Zeile wegen z. B. Meldungen zu UNC-Pfad
	CHG [190922] 002: AmericanExpress: Erkennen wenn Informationen zur Karte oder Kontostand nicht verfügbar sind als Fehlermeldung
	CHG [190922] 001: String-Utils: Wechsel der Klasse 'sun.misc.BASE64' zu 'java.util.Base64' da Wegfall ab Java 9

* ver. 0.9.6 (Beta)

	BUG [190917] 001: Volkswagen/Audi Bank: Mehrere Methoden um die Felder für Start- und Enddatum zu setzen; Falsche Funktion im GeckoDriver
	BUG [190916] 002: DKB-Visa: CSV-Rechnung nicht durch direkten Link abrufen sondern durch echten Klick auf das Icon, sonst wartet der GeckoDriver (Firefox) ewig auf die 'fertige Seite'
	CHG [190916] 002: AmericanExpress: Cookie-Law nach dem Login bestätigen um Click-Catch-Fehler zu vermeiden
	CHG [190916] 001: FirefoxBrowser-Versionscheck mit Bezug auf Kompatibilität zum GeckoDriver 0.25.0 erweitert
	BUG [190916] 001: SantanderCreditCard: Entfernen von überflüssigen Zeilenumbrüchen und Anführungszeichen aus dem CSV-Export da sonst die Feldzuordnung nicht möglich ist
	CHG [190913] 002: DKB-Visa: Erkennung der Auswahl des Endgeräts für TAN2go abfangen; Im Moment wird automatisch das erste Gerät gewählt (Vom User gesetzter Default)
	CHG [190915] 001: Volkswagen/Audi Bank: Umstellung und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	CHG [190914] 003: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 71.0a1 (2019-09-13-09-28-59) umgestellt und neue Prüfsummen berechnet
	CHG [190914] 002: Umbau der Authentifizierungs-Dialoge für dynamische TAN-Verfahrensangabe
	CHG [190914] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 77.0.3865.75 (681106) umgestellt und neue Prüfsummen berechnet
	CHG [190913] 003: Selenium-WebDriver-Engine: Umbau der Fehlererkennung um die Synchronisation zu beschleunigen; Neue Page-Loader-Kontrolle ersetzt das Warten
	CHG [190913] 002: DKB-Visa: Erkennung der Autorisierung per Banking-App hinzugefügt (mit Abbruch-Erkennung) und Auswahl der Kreditkarte ist nun dynamisch
	CHG [190913] 001: DKB-Visa: Erkennung des alten iTAN-Verfahren hinzugefügt um Warnung auszugeben
	BUG [190912] 001: Postbank (Tagesgeld, Kreditkarte): CSV-Kontoauszug hat ANSI (windows-1251) Kodierung, Umlaute falsch
	CHG [190912] 001: DKB-Visa: Umstellung auf Abruf über Selenium-WebDriver-Engine und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	BUG [190910] 001: LeasePlanBank: Bei Transaktionen mit nur Kontonummer nicht versuchen die IBAN zu parsen
	CHG [190910] 001: Postbank (Tagesgeld, Kreditkarte): Umstellung und Erweiterung des Anmeldevorgangs um die Zwei-Faktor-Authentifizierung
	BUG [190907] 001: LeasePlanBank: Transaktionen ohne Verwendungszweck und Umsatzart als Zinszahlung übernehmen
	CHG [190907] 001: LeasePlanBank: Erkennung von Wartungsarbeiten eingebaut
	CHG [190906] 002: Volkswagen/Audi Bank: Längere Wartezeiten bei Komplett-Abruf des CVS-Downloads damit Datei sicher verfügbar ist
	CHG [190906] 001: LeasePlanBank: Geänderten Title des Anmelde-Button angepasst
	NEW [190824] 001: Ab sofort sind alle Plugin-Klassen und das Plugin-Packet selbst mit einer digitalen Signatur versehen und Checksummen verfügbar um die Integrität sicher stellen zu können
	CHG [190823] 001: MoneYou: Erkennen von Auforderung zur Prüfung der Daten-Aktualität der Bank nach dem Login, mit Ausgabe als Warnung-Dialog

* ver. 0.9.5 (Beta)

	BUG [190822] 002: PayPal-API: Wenn kein Typ der Transaktion angegeben aber der Partner PayPal ist, die Transaktion überspringen, da wahrscheinlich eine Stornierung
	BUG [190822] 001: N26 | RaboDirect | VW/Audi Bank | Weltsparen: CSV-Download mit 'UTF-8'-Kodierung nicht (mehr?) ins Charset des Systems konvertieren, da hier entgegen des Zwecks die Umlaute zerstört werden?! (Erzeugt Umsatz-Doppler!)
	CHG [190822] 001: AkBank: Abfangen von unbekannten Transaktionsarten und ausgeben als Warnung im Log mit Bitte um Meldung im Forum
	BUG [190821] 001: Java-Versionscheck: Auswertung von zweistelligen Main-Versionen von z.B OpenJDK verhindern nicht mehr die Auswertung der Sub- und Security-Version
	CHG [190821] 002: Volkswagen/Audi Bank: Zeitraum bei Umsatzsuche immer auf individuell stellen um Von- Bis- Felder auch bei Giro- und Kreditkartenkonten anzuzeigen
	NEW [190821] 001: Volkswagen/Audi Bank: Neue Sync-Option "Demo- und Test-Modus (kein Login)". Mit dieser und der Angabe einer Kontonummer von https://banking.vwfs.de/demokonto ist ein DEMO-Test möglich
	CHG [190821] 001: Volkswagen/Audi Bank: eventuell eingerichtetes Finanzcockpit, durch direkten Aufruf der Kontoübersicht, überspringen
	BUG [190820] 001: SantanderCreditCard: Seitenwechsel mit Haben-Saldoübertrag richtig parsen und Kreditkartenangaben nach Zwischensummen noch vor Parsen von Umsätzblöcken entfernen
	CHG [190820] 001: Postbank (Tagesgeld, Kreditkarte): Erkennen von wichtigen Nachrichten der Bank (Achtung) nach dem Login mit Ausgabe als Warnung-Dialog um automatisch Weiter zu klicken
	BUG [190819] 002: AkBank: zusätzlicher Schreibfehler in Zinsabschlagsteuer (ohne s, Zinabschlagsteuer), sowie in Überweisung mit U
	BUG [190819] 001: Volkswagen/Audi Bank: Abmeldung vom Online-Banking wurde vom Counter geblockt; Beim Filter der Umsatzliste wird der Download-Button kurz aktiv was zu schnell erkannt zu erwartente Umsätze führt
	BUG [190818] 002: BankOfScotland: Fehlermeldung zu falschen Passwort oder Sicherheitsantwort wieder in Dialog als Fehler ausgeben und nicht im Monitor-Log als Information
	CHG [190818] 002: Volkswagen/Audi Bank: Umstellung auf neue Homepage mit Abruf über Selenium-WebDriver-Engine
	CHG [190818] 001: DKB-Visa: Erkennung der Frage ob das das Passwort vergessen wurde, wenn dieses wohl zu oft falsch eingegeben wurde
	BUG [190818] 001: DKB-Visa: Auch wenn eine Info- oder Warnungsnachricht in einer Box vorhanden ist erzeugte Fehlermeldung in Dialog ausgeben und nicht im Monitor-Log
	CHG [190817] 001: Parameterdateien der Institute erweitert um benötigte Engines
	CHG [190815] 001: SantanderCreditCard: Zwischensumme aus Footer im Daten-Dump entfernen
	CHG [190814] 001: AmericanExpress: Auswahl der Kreditkarte angepasst an dynamische Werte
	CHG [190807] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 76.0.3809.100 (665002) umgestellt und neue Prüfsummen berechnet
	CHG [190804] 001: RaboDirect: Anpassung des neuen Umsatzsuche-Formulars
	CHG [190721] 002: LeasePlanBank: Prüfungen und Umsatzsuche an neuen Homepage-Aufbau angepasst
	CHG [190721] 001: N26: Auslesen des aktuellen Kontostands an neuen Homepage-Aufbau angepasst

* ver. 0.9.4 (Beta)

	BUG [190615] 001: Postbank (Tagesgeld, Kreditkarte): Umsätze wurden, aufgrund von Homepage-Änderungen in den Listen, nicht mehr abgerufen
	CHG [190512] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität ab ChromeDriver 75.0.3770.90 erweitert und umgebaut; Letztmalig, nun müssen Main-Versionen zusammen passen
	CHG [190512] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 75.0.3770.90 (652427) umgestellt und neue Prüfsummen berechnet
	CHG [190526] 002: RaboDirect: Nutzung der neuen Funktionen der Selenium-Utils. Verbesserungen und Fehlerbeseitigungen im Abruf
	CHG [190526] 001: DKB-Visa: Erkennung eines neuen Formats einer Wartungsnachricht der Bank wenn das Banking nicht verfügbar ist und Check auf Kreditkartennummer vorhanden
	CHG [190517] 001: Selenium-Utilities erweitert um Funktion zum Abfangen von Fehlerursachen bei Klicks und Gegenmaßnahmen durchführen um Sync möglichst ohne Abbruch weiter zu führen
	CHG [190516] 001: RaboDirect: Umstellung auf neue Homepage mit Abruf über Selenium-WebDriver-Engine; Hierdurch wesentlich schnellerer und stabilerer Sync
	BUG [190515] 001: Weltsparen: Umstellung der Codierung des CSV-Kontoauszugs auf UTF-8 und somit sauber LineFeeds innerhalb von Verwendungszwecken entfernen
	CHG [190515] 001: Abhängigkeit zu SeleniumHQ WebDriver-Paket erstellt; Wird von immer mehr Banken benötigt und löst ClassNotFoundExceptions
	CHG [190514] 001: BankOfScotland: Auslesen des Buchungsdatum aus der Ergebnisliste der Suche wurde deaktiviert; Das Buchungsdatum und das Wertstellungsdatum sind wohl nun immer gleich
	BUG [190513] 001: MoneYou: Nach dem Kontoaufruf lange genug auf die Umsatzanzeige und den "weitere Buchungen laden"-Button warten aber ohne Button auch fortfahren
	BUG [190512] 001: AdvanziaBank: Bessere Warte-Routine auf das Login-Formular
	BUG [190512] 003: ChromeDriver-Webclient: Issue 2870: Google Chrome Helper dialog displays when running Selenium automation in headless mode after update to version 74
	CHG [190512] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität ab ChromeDriver 74.0.3729.6 erweitert und umgebaut; Chromium und ChromeDriver Main-Versionen müssen zusammenpassen
	CHG [190512] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 74.0.3729.131 (638880) umgestellt und neue Prüfsummen berechnet

* ver. 0.9.3 (Beta)

	BUG [190407] 001: MoneYou: Nach dem Login lange genug auf das Laden der Seite warten und dazu den aktuellen Seiten-Response verwenden
	CHG [190406] 001: Postbank (Tagesgeld, Kreditkarte): Info-Dialoge nach dem Login bestätigen
	BUG [190406] 001: PayPal-API: Nach einem Fehler wurde das Passwort zum Anmelde-Benutzernamen und nicht zum API-Benutzernamen zurückgesetzt
	CHG [190404] 001: PayPal-API: Transaktionen im Status "Wiederrufen" (Reversed) unterstützen keinen Detailabruf
	CHG [190315] 003: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität ab ChromeDriver 73.0.3683.68 erweitert und umgebaut; Ab hier müssen beide Main-Versionen zusammenpassen
	CHG [190315] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 73.0.3683.75 (625896) umgestellt und neue Prüfsummen berechnet; aktuelle Stable 2.46 aber auf Kompatibilität bis Chrome 75 gestellt für Übergang
	CHG [190315] 001: Erweiterung der InstitutOptions-Parameterdatei um die notwendige Passwortlänge für den Online-Zugang jedes Instituts und Verwendung dieser in der Auth-Klasse
	CHG [190203] 005: FirefoxBrowser-Versionscheck mit Bezug auf Kompatibilität zum GeckoDriver 0.24.0 erweitert
	CHG [190203] 004: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 67.0a1 (2019-02-03-09-51-48) umgestellt und neue Prüfsummen berechnet
	CHG [190203] 003: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 72.0.3626.81 (612437) umgestellt und neue Prüfsummen berechnet
	CHG [190203] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.46 erweitert
	CHG [190203] 001: Volkswagen- u. Audi-Bank: Logout-Bestätigung angepasst auf neues Online-Banking; Umbau dauert an

* ver. 0.9.2 (Beta)

	CHG [190104] 003: Postbank (Tagesgeld, Kreditkarte): Im neuen Onlinebanking Hinweis auf Aktivierung des BestSign-Sicherheitsverfahren als Fehlermeldung ausgeben
	CHG [181229] 001: LeasePlanBank: Umbau auf neues Homepage-Design und auch Umstellung auf Abruf über Selenium-WebDriver-Engine
	CHG [181227] 001: AdvanziaBank: Umbau auf neues Homepage-Design und auch Umstellung auf Abruf über Selenium-WebDriver-Engine
	CHG [181223] 002: ChromeDriver-Webclient: Alle Downloads abwarten solange diese die temporäre Dateiendung verwenden
	CHG [181223] 001: ChromeDriver-Webclient: Alternative Einstellung zum Deaktivieren der Chrome-Plugins; Notwendig für direkten PDF-Download oder PDF-Viewer
	CHG [181219] 001: StringUtils: Mit der Funktion zum Formatieren von Beträgen nun immer alle (Steuer-)Zeichen außer Zahlen, Minus, Punkt und Komma entfernen; Unicode Padding Character (PAD) in der CSV der Postbank aufgetaucht
	CHG [181218] 001: Postbank (Tagesgeld): Anpassung der CSV-Zeichenkodierung und des CSV-Download Button an neuen Aufbau im neuem Online-Banking
	CHG [181217] 001: MoneYou: Umstellung auf Abruf über Selenium-WebDriver-Engine; Hierdurch wesentlich schnellerer und stabilerer Sync
	CHG [181213] 003: ChromeDriver-Webclient: Erkennt nun den neuen und alten Pfad des Chromium-Pakets für Windows und prüft an den notwendigen Stellen auf existierende Binary
	CHG [181213] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 71.0.3578.98 (599034) umgestellt und neue Prüfsummen berechnet
	CHG [181212] 001: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.44 und 2.45 erweitert
	CHG [181210] 003: Postbank (Tagesgeld, Kreditkarte): Auslesen des Kontosaldo im neuem Online-Banking angepasst
	CHG [181210] 002: DKB-Visa: Wenn Link für Kreditkartenübersicht nicht gefunden wird erzeuge Fehlermeldung
	CHG [181210] 001: PayPal-API: Aufgrund von Anregungen von Usern wurde der Abrufzeitraum beim Initial-Abruf von 15 auf 5 Jahre verringert
	CHG [181209] 001: Volkswagen- u. Audi-Bank: Login-URL umgestellt auf altes Online-Banking, solange der Umbau andauert

* ver. 0.9.1 (Beta)

	CHG [181028] 003: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 70.0.3538.77 (587811) umgestellt und neue Prüfsummen berechnet
	CHG [181028] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.43 erweitert
	CHG [181028] 001: Postbank (Tagesgeld und Kreditkarte): Text für Kontoanlage-Assistent um Hinweis auf Postbank-ID erweitert

* ver. 0.9.0 (Beta)

	CHG [181007] 001: FirefoxBrowser-Versionscheck mit Bezug auf Kompatibilität zum GeckoDriver 0.23.0 erweitert
	BUG [181003] 001: Weltsparen: Jahreszahl im Datum nur zweistellig, muss daher um 2000 erhöht werden
	BUG [181001] 001: BankOfScotland: Fehler weshalb nur Haben-Beträge und keine Soll-Beträge ausgelesen wurde, dies führte dann zu einer Exception wenn der Haben-Betrag leer war
	BUG [180930] 001: BankOfScotland: Fehler weshalb die korrekte Kontonummer auf der Bankseite nicht erkannt werden konnte
	CHG [180929] 001: DKB-Visa: Umstellung der Passwortlänge auf mindestens 5-stellig, neue Passwörter sind mindestens 8-stellig
	CHG [180925] 001: DKB-Visa: Umstellung der Login-Seite da bei der bisherigen das HTTPS-Zertifikat abgelaufen ist
	BUG [180919] 001: Weltsparen: Entfernen von überflüssigen Zeilenumbrüchen und Anführungszeichen aus dem CSV-Export da sonst die Feldzuordnung nicht möglich ist
	CHG [180918] 003: FirefoxBrowser-Downloadlinks auf aktuelle Nightly-Version 64.0a1 (2018-09-18-07-55-10) umgestellt und neue Prüfsummen berechnet
	CHG [180918] 002: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 69.0.3497.100 (576753) umgestellt und neue Prüfsummen berechnet
	CHG [180918] 001: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.42 erweitert
	NEW [180917] 001: Sicherheits-Check der Integrität der nachgeladenen, alternativen Browser für WebDriver (Chromium und Firefox Nightly), gegen Manipulation
	NEW [180903] 001: Verfügbarer Kontosaldo wird nun auch im Kontoauszug eingetragen, soweit durch das Institut bereitgestellt; Bei 'keine Relevanz' ist dieser gleich dem Kontosaldo, bei 'Unbegrenzt' ist der Wert 'NaN'
	BUG [180904] 001: AmericanExpress: Auch BLZ auf neue IBAN und BIC umgestellt und InstitutOptions wohl verloren; Der Kontoanlage-Assistent legte ein nicht unterstütztes Konto an
	CHG [180903] 001: Fehlerfang beim Nachladen von alternativen Browser für WebDriver verbessert und Entpacken von Tar.Bzip2-Archiven für Linux vervollständigt
	CHG [180902] 001: Maximalen Abrufzeitraum angepasst an Suchmaske der Homepage; auf drei Jahre erhöht
	NEW [180831] 001: BankOfScotland: Abruf über ChromeDriver-Engine
	CHG [180831] 001: Postbank (Tagesgeld, Kreditkarte): Bei Angabe von Postbank ID nun Abruf über ChromeDriver-Engine im neuen Online-Banking, ansonsten mit Kontonummer solange verfügbar im alten Online-Banking
	CHG [180830] 001: Postbank (T.A.S.K.): Nun doch möglicher Aufruf des alten Online-Banking mit HTMLUnit; Übergangslösung bis zum Umbau auf ChromeDriver
	BUG [180827] 001: ChromeDriver-Webclient: Error-Substring bei nicht vorhandenem Chrome warf aufgrund der Länge einen Fehler
	CHG [180826] 001: Fasst alle Dialog-Benachrichtigungen und Abfrage-Dialoge um Parameter für Logo-Pfad erweitert
	BUG [180822] 001: MoneYou: Bei Merfach-Sync wie bei RaboDirekt wird (aktueller Stand) in der Konto-Detailansicht der Saldo nicht live aktualisiert; Ein Test verhinderte dies auch in der Kontoliste
	CHG [180820] 001: ChromeDriver-Webclient: Download-Pfad kann nun auch wieder mit Property 'chrome.downloads.path' angegeben werden; Bei GeckoDriver auch mit 'firefox.downloads.path'; Standard: selenium.downloads.path
	NEW [180819] 001: Unterstützung für 'Weltsparen der Raisin GmbH' - Abruf über den Selenium WebDriver (nur das Weltsparenkonto, noch nicht die Anlagekonten)
	NEW [180818] 001: Neuer Webdriver "GeckoDriver" über SeleniumHQ integriert. Dieser verwendet den Firefox-Browser und macht VersionsChecks. Bei Bedarf automatischer Browser-Download
	CHG [180818] 002: Selenium-Utilities erweitert um Funktion zum allgemeinen Prüfen der aktuell geladenen Website im WebDriver auf Fehlermeldungen per xPath mittels Array
	CHG [180818] 001: Selenium-Utilities erweitert um Funktion zum sauberen Abwarten von Website-Preloadern; Dadurch bessere Cross-Kompatibilität zu langsameren Firefox über GeckoDriver
	BUG [180817] 002: ChromeBrowser-Versionscheck reagiert nun auch auf eine zu niedrige Version des alternativen Chromium und läd diesen bei Bedarf nach
	BUG [180817] 001: N26: Auslesen des aktuellen Kontostand stabilisiert
	CHG [180816] 001: Selenium-Utilities erweitert um Funktion zum sauberen Beenden aller WebDriver, wenn notwendig wird der Task im System beendet
	CHG [180815] 003: Neue obantoo-Version mit aktualisierter BLZ-Datei gültig ab 03.09.2018
	CHG [180815] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.41 erweitert
	CHG [180815] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 68.0.3440.106 (561733) umgestellt
	NEW [180812] 001: Unterstützung für die 'N26' - Abruf über den Selenium WebDriver mittels ChromeDriver
	CHG [180811] 001: ChromeDriver-Webclient: Sprache des Browsers auf Deutsch gestellt um automatische Webseiten-Spracherkennung zu nutzen
	NEW [180805] 001: Unterstützung für die 'Bank of Scotland' - Abruf über den Selenium WebDriver mittels ChromeDriver
	CHG [180726] 001: FidorBank: Unterstützung (temporär?) deaktiviert; Durch Einführung von ReCaptcha beim Login ist die Fidor nun (im Moment?) nicht mehr abrufbar; Warten auf Entfernung!
	BUG [180725] 001: Volkswagenbank/Audibank: Verbesserung der Erkennung von 'aktuellen' Wartungsarbeiten; Ignorieren von vermutlichen Ankündigungen
	CHG [180722] 001: AmericanExpress: IBAN und BIC auf allgemeines Konto zur Rechnungsbegleichung umgestellt
	CHG [180721] 001: FidorBank: Änderung der Fehlererkennung. Durch Einführung von ReCaptcha beim Login ist die Fidor aber nun (im Moment?) nicht mehr abrufbar
	CHG [180720] 001: PayPal-API: Anhängen des Felds "Artikelnummer" an den Verwendungszweck inkl. Titel, aufgrund eines User-Wunsches

* ver. 0.8.9 (Beta)

	CHG [180712] 001: LeasePlanBank: Login-Form nicht mehr ansteuern sondern direkt die HTML-Elemente und Umstellung des Logouts auf Button-Klick
	CHG [180710] 001: Claim geändert auf Web Scraping
	NEW [180709] 001: HiDPI-Support - Neue Logos und Icons für verschiedene Zoom-Stufen hinterlegt
	CHG [180703] 002: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver 2.40 erweitert
	CHG [180703] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 67.0.3396.99 umgestellt

* ver. 0.8.8 (Beta)

	BUG [180701] 001: Umsatz-Fusionen nicht bei einem neuem Komplett-Abruf durchführen
	BUG [180101] 001: Generierte Date-Objekte für Datum beinhalten aktuelle Zeit die auf Null gesetzt werden sollte
	BUG [180618] 001: AdvanziaBank: InputStream von PDFRechnungen werden als GZip erkannt, dieser darf nicht direkt geschlossen werden
	CHG [180603] 001: AmericanExpress: Login-URL und Felder wieder auf direktes Anmeldeformular umgestellt und dortige Fehlererkennung erweitert
	CHG [180517] 002: SantanderCreditCard: Anpassungen an die neue Login-URL und das Login-Formular
	CHG [180517] 001: ChromiumBrowser-Downloadlinks auf aktuell stabile Version 66.0.3359.xxx umgestellt
	NEW [180511] 001: ChromeBrowser-Versionscheck mit Bezug auf Kompatibilität zum ChromeDriver und Nachladefunktion für alternativen Chromium
	BUG [180510] 001: Beim setzen der Zeit eines GregorianCalendar das übergebene Date-Objekt nochmal neu erzeugen gegen Typenfehler (aufgetreten bei z. B. PayPal)
	CHG [180428] 001: FidorBank: Anpassung an das neue Handling des CSV-Kontoauszug (werden nun als Liste zum Download angeboten)
	CHG [180409] 001: ChromeDriver-Webclient: Init-Parameter zum Deaktivieren der Web-Security (Same-Origin-Policy) eingefügt
	CHG [180405] 001: ChromeDriver-Webclient: Beenden des WebDriver in eigener Methode, mit zusätzlichem OS-Befehl zum Taskkill der chromedriver-Binary
	BUG [180404] 001: ChromeDriver-Webclient: System-Proxy manuell übernehmen und nicht als ProxyType
	BUG [180401] 001: DKB-Visa: Erkennung von Fehlermeldungen als Warnungsnachricht, dadurch keine richtige Meldung als Dialog
	CHG [180329] 001: ChromeDriver-Webclient: Funktionierende Option für "Akzeptieren unsicherer Zertifikate" und "Javascript deaktivieren" eingebaut (!JS im Headless-Modus nicht deaktivierbar! https://stackoverflow.com/a/47538023)
	BUG [180328] 001: PayPal: Bei Kontoauszügen die bereits das Zwischensaldo enthalten darf im StatementWorker keine Sortierung nach Buchungsdatum stattfinden, da diese sonst durcheinander in der Datenbank landen
	CHG [180328] 003: Entfernen alter (@Deprecated) Klassen und Methoden bzw. ersetzen dieser
	CHG [180328] 002: Volkswagenbank: Geänderter Logout-Button angepasst. Erfolgreicher Logout wird wieder durchgeführt
	CHG [180328] 001: SantanderCreditCard: Geänderte Logout-Nachricht angepasst. Erfolgreicher Logout wird wieder erkannt
	CHG [180327] 002: SantanderCreditCard: Indentifizieren von Dump-Blöcken mit Auslandsumsätzen nun eindeutig nach Liste ISO 4217 (Danke an hbci und Arno für die Beispiele)
	CHG [180327] 001: ChromeDriver-Webclient: Fortschritt des Downloads des alternativen Chromium wird nun in Prozent angezeigt
	CHG [180326] 001: AmericanExpress: Abruf des Kontostands über den ChromeDriver-Webdriver
	NEW [180325] 002: ChromeDriver-Webclient-Init mit Proxy-Unterstützung und ChromeDriver-Versionscheck
	NEW [180325] 001: Neuer Webdriver "ChromeDriver" über SeleniumHQ integriert. Dieser verwendet einen vollwertigen Browser und somit wird nun alles unterstützt
	CHG [180318] 002: Volkswagenbank: Anpassung der Login-URL an die neue Adresse der Einstiegsseite des Online-Banking
	CHG [180314] 001: Versionscheck für PhantomJS verarbeitet nun auch development-Versionsnummern richtig; Neue Version 1.8.0
	CHG [180104] 001: MoneYou: Erkennung der Meldung bei Überlastung der Server und dadruch kein Login möglich
	CHG [180113] 001: MoneYou: Alternativlösung für ein ungelöstest Problem wegen dem immer alle Umsätze abgerufen werden. Erzeugen des Kontoauszugs abbrechen bei Überschreitung des Abrufdatums
	
* ver. 0.8.7 (Beta)

	CHG [171231] 001: LeasePlanBank: Erkennen wenn die Webseite gerade nicht verfügbar ist
	BUG [171230] 001: PSADirektbank: Detailansichts-Zähler alias Action-Buttons fangen ab 100 wieder bei 0 an (Danke an Wolfgang für die Logs)
	BUG [171227] 001: PSADirektbank: Sprung zurück zur Umsatzübersicht nach Detailansicht genauer auf Notwendigkeit prüfen um Fehlsprung zu vermeiden (Danke an Wolfgang für die Logs)
	CHG [171227] 002: SantanderCreditCard: Auswerten von Dump-Blöcken mit Zinsen alias Finanzierungsgebühr (Danke an Martin für das Beispiel)
	CHG [171227] 001: StringUtils: Umwandelungs-Tabelle von bestimmten Charwerten in Oktal-Schreibweise erweitert um alle fehlenden ISO-8859-1 und ISO-8859-15 Zeichen
	CHG [171219] 002: LeasePlanBank: Lange genug auf die Rechnung warten, falsche Rechnung automatisch besser analysieren und Fehlererkennung verbessert
	CHG [171219] 001: AkBank: Weitere Abrechnungsarten eingebaut (Danke an Elmar für das Beispiel)
	CHG [171218] 001: SantanderCreditCard: Andereren Aufbau von Content-Dump Footer berücksichtigen (Danke an Frank für seinen Zugang)
	CHG [171217] 001: SantanderCreditCard: Auswerten von Dump-Blöcken mit sieben Datenzeilen und Umwandeln von bestimmten Charwerten in Oktal-Schreibweise (Danke an Martin für das Beispiel)
	BUG [171217] 001: Barclaycard: Vor Übergabe an OpenCSV Anführungszeichen im PDF-Kontoauszug nicht 'escapen' sondern ersetzen da die Übernahme sonst endet (Danke an Klaus für das Beispiel)
	BUG [171216] 002: LeasePlanBank: Konto-Saldo erst in der Detailansicht aufrufen
	CHG [171216] 001: AkBank: Fehlermeldungen anhand von xPath finden
	BUG [171216] 001: LeasePlanBank: Prüfung an Login-Form war zu allgemein
	BUG [171210] 001: AkBank: Nicht ausgelöste JavaScript-Alerts nicht auswerten und BrowserNavigation ignorieren
	NEW [171209] 001: PhantomJS-Webclient-Init um Proxy-Unterstützung erweitert
	BUG [171209] 001: AmericanExpress: Lange genug warten bis der Saldo dargestellt wird
	CHG [171205] 002: MoneYou: Erkennung von falschen Login-Daten und erfolgreichem Logout angepasst
	CHG [171205] 001: PhantomJS-Webclient-Init prüft nun zusätzlich auf eine korrekt angegebene und verwendbare Logdatei, notwendig zum Start von PhantomJS
	NEW [171204] 001: PhantomJS-Versionscheck nun als Funktion verfügbar
	BUG [171204] 001: Es wurde ein Problem beim Start des neue PhantomJS-Webdriver unter Linux gelöst weil keine Log geschrieben werden konnte
	CHG [171203] 001: AmericanExpress: Vollkommen überarbeitete Klasse zum Prüfen der Webseite auf Fehlermeldungen
	CHG [171125] 001: AmericanExpress: Abruf des Kontostands über den PhantomJS-Webdriver
	NEW [171125] 001: Neuer Webdriver "PhantomJS" über SeleniumHQ integriert. Dieser verwendet die WebKit-Engine
	CHG [171118] 001: AmericanExpress: Anpassungen an die neue Homepage
	CHG [171119] 001: Anpassungen an das neue HTMLUnit 2.28 welches nun auch mindestens benötigt wird
	BUG [170314] 001: Barclaycard: Entfernen von unzulässigen Zeilen bestehend aus Anführungszeichen mit Tabulator aus PDFs (Danke an Klaus für die Beispiele)
	CHG [171101] 001: SantanderCreditCard: Ersetzen von Semikolon im Verwendungsweck durch Komma; Sollte durch SEPA gar nicht auftreten
	CHG [171028] 001: LeasePlanBank: Anpassungen an den neuen Aufbau der Homepage

* ver. 0.8.6 (Beta)

	CHG [170814] 001: DKB-Visa: Erste Variante die aus dem Kontoauszug "fehlplazierte" Anführungszeichen entfernt; Innerhalb einer Datenspalte die selbst mit Anführungszeichen umschlossen ist
	CHG [170702] 002: MoneYou: Beträge werden nun in der richtigen Wertstellung gleich in den ersten Kontoauszug eingetragen; Die Anpassung nach Umsatzart wurde deaktiviert
	BUG [170702] 001: MoneYou: Terminüberweisungen werden nun expliziet ausgelassen und bereits enhaltene "zukünftige Transaktionen" die bereits im Kontosaldo einfließen wieder ausgelesen
	BUG [170630] 001: MoneYou: Die Umsatzart für Kirchensteuern wird nun wieder negativ eingetragen (alle mit Wort "Kirche")

* ver. 0.8.5 (Beta)

	CHG [170627] 005: SantanderCreditCard: Umbau zur Reaktion auf Fehlermeldung wenn keine aktuellen Transaktionen vorhanden sind
	BUG [170627] 004: LeasePlanBank: Fehlermeldungen auslassen die gar nicht angezeigt werden
	CHG [170627] 003: IkanoBank: Möglichkeit des Login per Benutzername wieder eingebaut
	CHG [170627] 002: IBAN der Advanzia Bank in die InstitutOptions-Datei eingetragen
	CHG [170627] 001: Neue InstitutOptions-Datei für IKEA FAMILY Bezahlkarte als Clone von IKANO Bank und Herausnahme der Kreditkartennummer
	CHG [170626] 001: Institut-Logo von MoneYou aktualisiert
	CHG [170622] 002: PayPal-API: Vollständiger Umbau der Guthabenberechnung als Saldo für den Kontoauszug (Kann bei Reaktivierung des CSV-Abrufs wegfallen) 
	CHG [170622] 001: PayPal-API: Transaktionen direkt richtig sortiert auslesen; Deaktivierung der Sortierungs-Routine im formatierten Kontoauszug
	CHG [170616] 001: PayPal-API: Transaktionen im Status "Zurückgestellt" (Suspended) nicht auslesen; Status vermutlich aufgrund einer Pishing-Mail
	CHG [170611] 001: DKB-Visa: Erkennung eines neuen Formats einer Wartungsnachricht der Bank wenn das Banking nicht verfügbar ist
	CHG [170607] 001: OpenCSV auf die Version 3.9 gehoben und Librarys aufgeräumt

* ver. 0.8.4 (Beta)

	CHG [170531] 001: Erweiterung vieler Fehlermeldungen um den Stacktrace
	CHG [170528] 001: DKB-Visa: Anpassung an Formularänderungen der Zeitraumauswahl auf der DKB-Homepage
	CHG [170424] 001: SantanderCreditCard: Verbesserung des Auslesens von Transaktionen in Fremdwährung (Danke an Ingo für das Beispiel)

* ver. 0.8.3 (Beta)

	CHG [170414] 001: PAYBACK-Visa: Erkennung von Wartungsarbeiten erweitert
	CHG [170411] 001: MoneYou: Ersetzen von Semikolon im Verwendungsweck durch Komma; Sollte durch SEPA gar nicht auftreten
	CHG [170401] 001: SantanderCreditCard: Unterstützung für mehrseitige PDF-Abrechnungen (Danke an nspo für das Beispiel) und Verbesserung des Parser und Abrufabbruch bei Zeitraumüberschreitung
	CHG [170320] 001: PayPal-API: Umstellung auf neue API-Version 204; Aber keine Änderungen oder Neuerungen enthalten die den Abruf betreffen
	BUG [170319] 003: Das FileEncoding bei der Sichtprüfungsseite bei Überweisungen anpassen wenn als System-Encoding "MacRoman" aktiv ist um Umlaute richtig darzustellen
	CHG [170319] 002: PayPal-API: Übersetzung und Hinweis zu Fehlercode 10004; Transaktionsdetails konnten nicht abgerufen werden
	CHG [170319] 001: FidorBank: Logout auch erkennen wenn dieser bereits stattfand. Zum Beispiel zu lange Wartezeit bei einer Überweisung
	BUG [170318] 001: SantanderCreditCard: Fremdwährungs-Transaktionen in Vorgemerkte Buchungen und mehrzeilige Fremdwährungen in PDFs korrekt auslesen und Jahreszahl korrekt setzen
	CHG [170317] 001: DKB-Visa: In der Pull-Klasse zuerst auf geforderten und gültigen Aufbau der übergebenen Kreditkartennr. prüfen; Ansonsten Fehler nun über finance.websync
	CHG [170316] 003: Umbenennen der alten 'DAB Bank' in die 'DAB BNP Paribas' aufgrund des Übergangs des Privatkunden-Angebot zur Consors Bank
	BUG [170316] 002: DABbank-B2B: Bei nicht vorhandener IBAN wurde ein Array-Feld zu viel gesetzt
	BUG [170316] 001: Womöglich fehlerhaftes Boolean-Typ Setzen im Kontoauszugsarray für den Marker
	CHG [170315] 001: MercedesBenzBank: Vor dem Auslesen der Kontonummer aus der IBAN, den String auf richtigen länderspezifischen Aufbau prüfen
	CHG [170314] 003: Barclaycard: Bei der Umsatzzeilen-Suche in PDFs eine negative Datumsprüfung nicht mehr als Error im Log ausgeben
	CHG [170314] 002: Barclaycard: Erweiterung der Erkennung und Übernahme von mehrzeiligen Verwendungszwecken; Fusions-Routine verhindert Umsatzdoppler; Ergänzung über Komplett-Abruf
	CHG [170314] 001: Barclaycard: Entfernen von unzulässigen Zeichen aus Beträgen aufgrund des neuen "contactless-payment"-Symbols (Danke an dutchclimber für das Beispiel)
	BUG [170312] 002: SantanderCreditCard: Anzahl der Transaktionen richtig zählen und oft genug zurück springen für sauberen Logout
	CHG [170312] 001: SantanderCreditCard: Unterstützung für Transaktionen in Fremdwährung (Danke an HibiFriend für das Beispiel)
	CHG [170311] 001: Verschiedene Anpassungen an das neue HTMLUnit 2.25 welches nun auch mindestens benötigt wird

* ver. 0.8.2 (Beta)

	CHG [170210] 001: DKB-Visa: Setzen des Transaktionsstatus-DropDown abbrechen wenn dieses doch nicht mehr gefunden wird (eventuell wegen unbekannter Seite)
	CHG [170131] 001: DKB-Visa: Erweiterung der Erkennung von Warnungs-Nachrichten der Bank
	CHG [170120] 001: Parameter zu Konto-Anlageassistent: Formatierung von Umlauten richtig gestellt
	CHG [170115] 001: Umbenenen der 'GE Capital direkt' in die 'TARGO Bank Direkt' und deaktivieren da JavaScript-Erkennungsproblem

* ver. 0.8.1 (Beta)

	NEW [170113] 001: PDF-Kontoauszugsabruf für die Unterstützung für Kreditkarten der 'Santander Consumer Bank' und Aktivierung der unabhängigen Routine gegen Umsatzdoppler
	CHG [170109] 001: PSADirektbank: Fehlerausgabe von fehlenden Datenfeldern besser formatiert
	NEW [170107] 001: Unterstützung für Kreditkarten der 'Santander Consumer Bank' (erster Initialer Code ohne Abruf der PDF-Abrechnungen)
	CHG [170102] 001: PayPal-API: Transaktionen des Typs 'Subscription Creation' und Subscription Completion' überspringen da nicht Umsatzrelevant

* ver. 0.8.0 (Beta)

	CHG [161228] 005: Bei Dialog-Benachrichtigungen wird nun zwischen Information(Notify), Warnung(Warn) und Fehler(Error) unterschieden. Die Callbackklasse der Anwendung welche Finance.Websync nutzt sollte diese unterstützen
	CHG [161228] 004: AkBank: Anpassung an korrekten Bestätigungstext bei Passwort-Änderung; Bestätigung wird nun richtig erkannt
	CHG [161228] 003: FidorBank: Gleiche Warnungs-Nachrichten der Bank überspringen bis eine neue, andere Nachricht erkannt wurde
	BUG [161228] 002: MoneYou: Die Umsatzart "Solidaritätszuschlag" wird nun wieder negativ eingetragen. Weitere Auffälligkeiten mit falscher Wertstellung bitte im Forum melden!
	CHG [161228] 001: PayPal-API: Transaktionen im Status "Nicht beanspucht" (Unclaimed) unterstützen keinen Detailabruf
	CHG [161215] 001: FidorBank: "Vorgemerkte Umsätze" oder "Unbestätigte Transaktionen" sollten nur immer ausgelesen werden auch wenn sich der Titel ändert
	CHG [161215] 001: FidorBank: Vorgemerkte Anpassung der Transacationsearch-URL und umformatieren der InstitutOptions-Datei nach UTF-8
	CHG [161207] 001: LeasePlanBank: Anpassung an die neue Bezeichnung des CSV-Download-Links
	CHG [161122] 003: Volkswagenbank/Audibank: Verbesserung der Erkennung von 'aktuellen' Wartungsarbeiten; Ignorieren von vermutlichen Ankündigungen
	CHG [161122] 002: DKB-Visa: Anpassungen an die neue Struktur der Umsatzseite und des Umsatzexports
	CHG [161122] 001: PAYBACK-Visa: Unterstützung temporär deaktiviert; Notwendige größere Anpassungen an PDF-Abruf; Außerdem keine Bedarfskenntnis und mit Jahresgebühr
	CHG [161120] 006: GeCapitaldirekt: Erweiterung der Fehlererkennung um Hinweise zur Browser-Einstellung; aktuell wohl keine erfolgreiche JavaScript-Erkennung
	BUG [161120] 005: DABbank-B2B: Logout-URL wird nun richtig aufgerufen; dadurch korrekter Logout
	CHG [161120] 004: DKB-Visa: Logout-Bestätigung an neuen Satz auf der Homepage angepasst. Korrekter Logout wird wieder richtig erkannt
	CHG [161120] 003: DABbank-B2B: Abruf von B2B-(Depot-)konten (im Moment) wohl weiterhin möglich, bleibt daher vorerst erhalten
	CHG [161120] 002: DABbank: Abruf "normaler" DABbank-Konten wird durch den Wechsel zur 'Consors Bank' nicht mehr unterstützt (Wechseln Sie auf HBCI-Abruf)
	CHG [161120] 001: PayPal-API: Transaktionen im Warte-Status nicht übernehmen
	NEW [160912] 001: FidorBank: Geschäftsvorfall "SEPA-Einzelberweisung" wird nun unterstützt. Bei der mTAN-Abfrage wird ein build-ScreenCapture zur Sichtprüfung mit angeboten.
	CHG [160905] 001: Umstellung der Parameterdateien der Institute von Getter in Konstante
	CHG [160901] 002: GeCapitaldirekt: Anpassung der Login-URL an die neue Adresse der Einstiegsseite des Online-Banking
	CHG [160901] 001: GeCapitaldirekt: Erweiterung der Fehlererkennung um "Technische Fehler" der Bank
	BUG [160830] 003: PAYBACKVisa: Mehrfacher PDF-Aufruf verhinderte ordentlichen Logout; Richtige HTML-Seite setzen
	CHG [160830] 002: Unterstützungen ohne festen Logout-Link: Routine zum Logout prüft und korrigiert nun noch genauer auf richtige HTML-Seite um korrekten Logout durchführen zu könnnen; Fehler z. B. nach PDF-Abruf
	BUG [160830] 001: PSADirektbank: Abmelden-Link führt nun zum Abbruch der Sitzung und nicht zum ordentlichen Logout; daher Umstellung auf Link-Click

* ver. 0.7.13 (Beta)

	CHG [160830] 001: Postbank (K.): Beim Kreditkarten-Umsatzabruf wird vom Bankserver öfter eine "Technische Störung" angezeigt. Beim Rechnungsaufruf wird dann nochmals probiert, ansonsten abgebrochen
	CHG [160829] 002: Ausgaben diverser Fehler erweitert; Dies soll das Versenden von Logs an den Entwickler nach und nach ersetzen
	BUG [160829] 001: PayPal-API: Keine umschließenden Hochkomma oder Anführungszeichen in diversen Feldern und Semikolon gegen Komma tauschen (Danke an Hubert für die Logs)
	BUG [160828] 001: PAYBACKVisa: Rechnungen mit Ausstellungsdatum jünger als das letzte Buchungsdatum in der CSV werden ausgelassen, da ansonsten Umsatzdoppler
	BUG [160827] 002: FidorBank: Nur aus deutsche IBANs Kontonummer und BLZ auslesen; ansonsten IBAN als Gegenkontonummer eintragen (Danke an Andreas für die Logs)
	CHG [160827] 001: PayPal-API: Logging beim Auslesen des Kontoauszug erweitert
	CHG [160825] 001: FidorBank: Aktivieren der angepassten Fusionierung bei der Datenübernahme in Hibiscus Mashup für "Karten"-Umsätze gegen Doppler (Danke an Jonas für die Logs)
	BUG [160821] 003: LeasePlanBank: Kontosaldo auf Null setzen wenn dieser auf der Startseite nicht dargestellt wird
	BUG [160821] 002: PayPal-API: Anzahl der Abrufintervalle muss beim berechnen mindestens '1' ergeben
	BUG [160821] 001: LeasePlanBank: zum Wochende wird der Abrufzeitraum auf 3, 6 Monate oder Alle gesetzt um wegen schon aktellem Datum auch zukünftige Transaktionen zu erhalten und unterstützt damit auch lange Abrufzeiträume
	CHG [160820] 001: Volkswagenbank/Audibank allgemein: der aktuelle Kontostand wird nun aus der Seite und nicht mehr aus CSV gelesen, da dort negative Saldo falsch positiv enthalten ist (Danke an kummerling für die Logs)
	CHG [160818] 001: PayPal-API: Transaktionen mit Status "Canceled" nicht auslesen
	CHG [160817] 007: MoneYou: zukünftige Transaktionen (Terminüberweisungen) beim Abruf nicht berücksichtigen (Danke an Maik für die Logs)
	CHG [160817] 006: PayPal-API: Fehlerabbruch wenn eine Datenzeile in der Ergebnisliste nicht gefunden wird (Danke an Sam und Forti für die Logs)
	BUG [160817] 005: PayPal-API: Version des Transaktion-Detailabruf übernehmen aus allgemeiner Konfiguration (InstitutOptions)
	CHG [160817] 004: FidorBank: Anpassung an die neue Darstellung des aktuellen Kontosaldo (Kontostand am; Unbestätigte Transaktionen)
	CHG [160817] 003: Volkswagenbank/Audibank Kreditkarte: Negativen Saldo des Konto auch als negativ erkennen, !ungetestet! (nicht offiziell unterstützt)
	CHG [160817] 002: DABbank: Entfernen von Fremdwährungsbezeichnungen in Beträgen (nicht offiziell unterstützt) (Danke an marcusfey für die Logs)
	CHG [160817] 001: DKB-Visa: Setzen des Status-DropDown (Gebucht, ...) nach IDs statt nach Namen um Namensänderungen gleich zu unterstützen
	CHG [160815] 002: PayPal-API: Transaktion-Detailabruf nicht ausführen wenn es sich um eine stonierte Transaktion handelt
	CHG [160815] 001: MercedesBenzBank: Restliche Anpassungen aufgrund des neuen Layout; Abruf von CSV mit neuem maximalem Zeitraum von 36 Monaten
	CHG [160724] 001: MercedesBenzBank: Erste Anpassungen aufgrund des neuen Layout (Login); Erweiterung der Fehlerausgabe um Wartungsarbeiten der Bank
	CHG [160723] 002: Diverse Fehlerausgaben um gesamten Stacktrace erweitert; Dies soll das Versenden von Logs an den Entwickler nach und nach ersetzen
	BUG [160723] 001: PAYBACKVisa: Auslesen der PDF-Rechnungen bricht ab wenn dort keine Umsätze und somit kein Transaktionsbereich vorhanden ist
	BUG [160717] 001: AudiBank: Prüfung der BLZ und Erkennung der AudiBank-Einstellungen war nicht möglich; Prüfung auf zulangen Benutzernamen für richtige Fehlerausgabe
	BUG [160713] 001: Barclaycard: Vor Übergabe an OpenCSV Anführungszeichen im CSV-Kontoauszug nicht 'escapen' da diese zum Datenaufbau gehören und der Umsatz sonst nicht übernommen wird
	CHG [160703] 001: PAYBACKVisa: Fehlererkennung erweitert um die Meldung das die Online-Service zur Zeit nicht zu Verfügung stehen

* ver. 0.7.12 (Beta)

	CHG [160625] 002: PSADirektbank: Anpassung der neuen Namen von Datenzeilen und bessere Überprüfung zur Fehlerausgabe
	BUG [160625] 001: MoneYou: Sind im gewählten Abrufzeitraum eigentlich keine Transaktionen vorhanden werden auch keine mehr aus der Seite ausgelesen (Hidden nach Suche)
	BUG [160623] 001: PayPal-API: Semikolon im Verwendungszweck gegen Komma tauschen da sonst bei der Array-Bildung die Felder verschoben werden und kein Hochkomma in der Notiz (Danke an Kulli für die Logs)
	NEW [160622] 001: Postbank: Neue Integration der Unterstützung für Spar-Konten (SparCard) und wahrscheinlich auch Anlagekonten (Danke an Martin für den Zugang!)
	NEW [160621] 002: Allen Unterstützungen die Methode für einen sauberen Logout der Online-Sitzung mit anschließender Bestätigung hinzugefügt
	CHG [160621] 001: Volkswagenbank: Parsen von Fehlermeldungen fast ganz eingeschränkt da kein eindeutiger Code mehr
	CHG [160620] 001: FidorBank: Ausgabe von Warnungs-, bzw. Hinweis-Nachrichten bzw. Bannermeldungen der Bank in beiden Log-Varianten
	BUG [160616] 001: PSADirektbank: Es wird nun korrekt durch die Umsatzseiten navigiert; Primanota wird richtig gesetzt; Nur Abruf von Umsätzen im angegebenen Zeitraum (Danke an Alexander für den Zugang!)

* ver. 0.7.11 (Beta)

	CHG [160614] 001: Postbank: Beschleunigter Abruf; Verwendungszweck ohne Zeilenumbrüche / Umsatzart wenn leer / Fremdwährung nun im Notizfeld (Umsatzdoppler möglich); Support für Sparkonten eingestellt
	BUG [160610] 001: PayPal-API: Anführungszeichen im Absender gegen Hochkomma tauschen; OpenCSV bricht sonst ab
	NEW [160609] 002: Unterstützung für die 'AK Bank' (erster Initialer Code ohne Formatierung des Verwendungszwecks)
	BUG [160603] 002: DKB-Visa: Setzen des Status-DropDown (Gebucht, Ungebucht) nur wenn dieses vorhanden ist wird nun richtig erkannt
	CHG [160602] 003: DKB-Visa: Erkennung des neuen Formats einer Wartungsnachricht der Bank wenn das Banking nicht verfügbar ist
	CHG [160602] 002: MoneYou: Umstellung auf Website-Parsing; PDF wird nicht mehr abgerufen
	CHG [160602] 001: DABbank: Anpassungen des CSV-Auslesen auf die neuen IBAN-Felder
	CHG [160524] 001: InstitutOptions erweitert um Informationen für Kontoeinstellungen des neuen Kontoanlage-Assistenten

* ver. 0.7.10 (Beta)

	CHG [160514] 001: LeasePlanBank: Zum Wochende wird der Abrufzeitraum auf 3 Monate gesetzt um wegen schon aktellem Datum auch zukünftige Transaktionen zu erhalten
	CHG [160512] 008: Vor Übergabe an OpenCSV alle Anführungszeichen 'escapen'; aber nur bei Kontoauszüge ohne "in Anführungszeichen gekapselte Segmente"; somit werden Strings komplett übernommen
	CHG [160512] 007: IkanoBank: Bei leerem Verwendungszweck wird hier nun analog zu anderen Unterstützungen auch die Umsatzart eingetragen
	BUG [160512] 006: IkanoBank: Fehlerhafter Eintrag in Gegenkonto-Name bei leerem Kontoauszugsfeld
	CHG [160512] 005: LeasePlanBank: Eintragen von Umsatzarten und wesentlich schnellerer Abruf
	CHG [160512] 004: Alle Maximal-Abrufzeiträume auf 15 Jahre geändert
	CHG [160512] 003: OpenCSV auf die Version 3.7 gehoben
	CHG [160512] 002: PayPal-API: Auslassen von Transaktionen mit bestimmten Status - Created: A German ELV payment is made using Express Checkout
	BUG [160512] 001: PayPal-API: Fehler der den Detailabruf von Transaktionen und das korrekte setzen des Verwendungszwecks und der Notiz verhinderte (dadurch Umsatz-Doppler möglich)
	NEW [160511] 001: Unterstützung für die 'LeasePlan Bank'
	CHG [160510] 004: AdvanziaBank: Umbau des Rechnungabrufs von HTML-Parser auf PDF-Export da nur noch direkte PDF-Links angeboten werden
	CHG [160510] 003: PSADirektbank: Bei leerem Verwendungszweck wird hier die Umsatzart (Beschreibung) übernommen
	CHG [160510] 002: PSADirektbank: Es werden nun 'beschleunigt' alle Umsätze aller Seiten in der 'Buchungsübersicht' ausgelesen; PDFs nicht notwendig?!(Danke an Maik für den Zugang!)
	CHG [160510] 001: JavaVerCheck gibt nun auch das Home-Verzeichnis mit aus
	CHG [160509] 003: PayPal-API: Maximaler Synchronisierungszeitraum auf 10 Jahre gesetzt
	BUG [160509] 002: PayPal-API: Beim Auslesen der Datensätze das Et-Zeichen mit auslesen und dort nicht umbrechen
	CHG [160509] 001: AdvanziaBank: Erkennung von PopUp-Dialogen nach dem Login die den weiteren Seitenaufruf verhindern

* ver. 0.7.9 (Beta)

	NEW [160503] 002: Unterstützung für die 'PSA Direktbank' (erster Initialer Code nur mit aktuellen Buchungen)
	CHG [160503] 001: MercedesBenz: Kontonummern-Check auf der Startseite abgeändert
	BUG [160502] 002: PAYBACKVisa: Aktuelle Umsätze wurden nicht importiert da CSV-Trenner falsch war
	CHG [160502] 001: RaboDirect: Fehlererkennung zeigt nun gesperrtes Konto an (Danke an Achim für den Quellcode)
	CHG [160501] 002: DKB-Visa: Umbau auf Unterstützung für alle bisherigen Varianten (mit und ohne JS) da schon manchmal gewechselt wurde
	CHG [160501] 001: DKB-Visa: Unterstützung und Abruf nun mit JavaScript notwendig (bisher ohne JS für extremen Geschwindigkeitsvorteil)

* ver. 0.7.8 (Beta)

	BUG [160428] 002: PayPal-API: Fehler bei sehr geringem Abruf-Intervall
	CHG [160428] 001: American Express: Verbesserte Unterstützung der PayBack AMEX-Karte (Danke an Ronny und Ove für die Quellcodes)
	CHG [160427] 003: Bei den Implementierungen mit manuell erstelltem Kontoauszug wird HTML-Code in den RAW-Informationen nun erst umgewandelt (Danke an Roger für das Log)
	NEW [160427] 002: Unterstützung für die 'RaboDirect Deutschland'
	BUG [160427] 001: Mercedes-Benz: Fehler beim Auslesen der Bankdaten, wobei die Kontonummer wieder zur IBAN wurde
	CHG [160426] 003: Volkswagen/Audi-Bank: Die SEPA-Informationen "UCI", "Mandant ID", ... werden nun dem Verwendungszweck angefügt; wenn vorhanden
	BUG [160426] 002: Volkswagen/Audi-Bank: Sonderumsätze verursachen nun keinen Fehler mehr (Danke an Michael für das Log)
	CHG [160426] 001: DKB-Visa: Änderung und Angleich der Prüfung des Hauptpfads der URL von "/dkb" auf "/banking"
	NEW [160425] 001: Unterstützung für die 'Volkswagen Bank' und die 'Audi Bank'

* ver. 0.7.7 (Beta)

	CHG [160423] 002: MoneYou: Fehlermeldung bei falschen Login-Daten wird nun erkannt
	BUG [160423] 001: VersionsChecks für Java, HTMLUnit und PDFBox verarbeiten nun auch ClassNotFoundException
	NEW [160422] 002: PDFBox-Versionscheck nun als Funktion verfügbar
	NEW [160422] 001: MoneYou: Unterstützung der neuen Homepage für Festgeldkonten
	CHG [160421] 002: PayPal-API: Es wird nun auf einen nicht gesetzte API-Benutzernamen, API-Unterschrift, API-Signatur und API-Intervall geprüft
	BUG [160421] 002: DKB-Visa: Gegenkontoname wurde (warum auch immer) mit Verwendungszweck gesetzt
	NEW [160421] 001: MoneYou: Unterstützung der neuen Homepage für Tagesgeldkonten
	CHG [160419] 002: DKB-Visa: Setzen des Status-DropDown (Gebucht, Ungebucht) nur wenn dieses vorhanden ist; da dieser anscheined nicht immer dargestellt wird
	BUG [160419] 001: Postbank (K): Datumsfelder werden nun getrimmt und dann weiterverarbeitet und weitere LineFeeds im RAW-Auszug entfernt
	BUG [160418] 002: AdvanziaBank: Der Saldo wird nun (alternativ) auch bei keinen aktuellen Transaktionen ausgelesen (Danke an Kai für den Zugang! und an Alexander für das Log)
	CHG [160418] 001: Mindestanforderung der Abhängigkeiten ist nun HTMLUnit 2.21
	CHG [160415] 002: PAYBACK-Visa: Umbau des PDF-Export von Direct-Stream auf Temp-File um Fehler besser zu Erkennen und Anpassung an PDFBox 2.0.0
	CHG [160415] 001: Barclaycard: Anpassung an HTMLUnit ver. 2.21 und PDFBox 2.0.0 (Danke an Axel für den Zugang!)

* ver. 0.7.6 (Beta)

	CHG [160414] 001: Barclaycard: Umbau des PDF-Export von Direct-Stream auf Temp-File um Fehler besser zu erkennen (Danke an Axel für den Zugang!)
	NEW [160413] 001: Unterstützung für die 'Postbank (T.A.S.K.)' - Stabilerer Abruf
	CHG [160411] 001: Barclaycard: Aus den PDF-Kontoauszügen können nun auch diverse zweite Zeilen des Verwendungszweck ausgelesen werden (Danke an Axel für den Zugang!)
	BUG [160330] 003: AdvanziaBank: Rechnungsabruf stoppt nun nicht mehr bei der letzten Dezember-Rechnung (Danke an Kai für den Zugang!)
	CHG [160330] 002: DABbank-B2B: Anpassung des Kontoauswahl-Dropdowns an den neuen DIV-Select (Danke an Hans-Joachim für den Zugang!)
	BUG [160330] 001: DABbank-B2B: Das übergebene Unterkonto mit Eintrag "B2B" wird nun wieder richtig erkannt

* ver. 0.7.5 (Beta)

	BUG [160327] 002: IkanoBank: Die Reihnefolge der Umsätze (insbesondere am selben Tag) sollte nun wieder richtig herum sein
	BUG [160327] 001: FidorBank: Die Reihnefolge der Umsätze (insbesondere am selben Tag) sollte nun wieder richtig herum sein
	CHG [160326] 002: IkanoBank: Routine für mehr als (anscheinend) 100 Transaktionen und die restlichen abgeschnitten wurden, nochmalige Suche (Danke an Thorsten für die Logs)
	CHG [160324] 001: DKB-Visa: Dreifache Umsatzsuche eingebaut, da aktuell ein alter Saldo abgerufen wenn nicht zuerst Ungebuchte gewählt wurde

* ver. 0.7.4 (Beta)

	BUG [160323] 002: DKB-Visa: Es werden nun wieder "nicht abgerechnete" Umsätze mit ausgelesen; Ungebuchte werden übersprungen
	CHG [160323] 001: Richtige Fehlermeldung bei Abruch von Captcha-Abfragen durch den Benutzer 
	CHG [160322] 003: GeCapitaldirekt: Anpassung der Login-URL
	CHG [160322] 002: GeCapitaldirekt: Die Fehleranalyse erkennt nun auch die Meldung 'Service unavailable 503'
	CHG [160322] 001: DKB-Visa: Info-, oder Warnungs-Nachricht der Bank werden nun nach der Umsatzsuche ignoriert und somit auch nicht doppelt ausgegeben 

* ver. 0.7.3 (Beta)

	NEW [160322] 002: Einführung der ChangeLog
	BUG [160322] 001: PayPal-API Abruf - Fehlercode-Analyse erkennt nun wieder alle wichtigen Codes und Übersetzt diese, Fehler beim Abruf der Transaktions-ID

* ver. 0.7.2 (Beta)

	NEW [160321] 001: Unterstützung für die 'GE Capital direkt' - Anpassung an die neuen Sicherheitsimplementierungen der Webseite

* ver. 0.7.1 (Beta)

	NEW [160320] 001: Unterstützung für die 'Barclaycard' - Anpassung an die weggefallene Sicherheitsfrage und diverse Bugs

* ver. 0.7.0 (Beta)

	NEW [160317] 001: Initiale erste Beta-Version
